<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package insidect
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main">

			<section class="error-404 not-found">
				<header class="page-header">
					<h2 class="page-title"><?php esc_html_e( 'Oops!', 'insidect' ); ?></h2>
					<h4 class="page-subtitle"><?php esc_html_e( 'PAGE NOT FOUND', 'insidect' ); ?></h4>
				</header><!-- .page-header -->

				<div class="page-content">
					<p><?php esc_html_e('Unfortunately, the page you are looking for is not existed anymore. Please go to homepage or try to search something else','insidect') ?>
						<a href="<?php echo esc_url(home_url('/')) ?>"><?php esc_html_e( 'go to homepage', 'insidect' ) ?></a>
						<?php esc_html_e(' or try to search something else','insidect') ?>
					</p>


					<?php get_search_form(); ?>

				</div><!-- .page-content -->
			</section><!-- .error-404 -->

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();
