<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$default_values = apply_filters('fw_ext_breadcrumbs_settings_options_default_values', array(
	'homepage-title' => esc_html__( 'Homepage', 'insidect' ),
	'blogpage-title' => esc_html__( 'Blog', 'insidect' ),
	'404-title' => esc_html__('404 Not Found', 'insidect'),
));

$options = array(
	apply_filters('fw:ext:breadcrumbs:settings-options:before', array()),
	'box' => array(
		'title'   => false,
		'type'    => 'box',
		'options' => array(
			'homepage-title'      => array(
				'label' => esc_html__( 'Text for Homepage', 'insidect' ),
				'desc'  => esc_html__( 'The homepage anchor will have this text', 'insidect' ),
				'type'  => 'text',
				'value' => $default_values['homepage-title']
			),
			'blogpage-title'      => array(
				'label' => esc_html__( 'Text for Blog Page', 'insidect' ),
				'desc'  => esc_html__( 'The blog page anchor will have this text. In case homepage will be set as blog page, will be taken the homepage text', 'insidect' ),
				'type'  => 'text',
				'value' => $default_values['blogpage-title']
			),
			'404-title'           => array(
				'label' => esc_html__( 'Text for 404 Page', 'insidect' ),
				'desc'  => esc_html__( 'The 404 anchor will have this text', 'insidect' ),
				'type'  => 'text',
				'value' => $default_values['404-title']
			),
		)
	),
	apply_filters('fw:ext:breadcrumbs:settings-options:after', array()),
);