<?php

Insidect_Kirki::add_section( 'c_crumbs', array(
 	'title'      => esc_attr__( 'Page Breadcrumbs', 'insidect'),
 	'capability' => 'edit_theme_options',
	 'priority'   => 3,
));

/*en/disable page breadcumbs*/
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'switch',
	'settings'  => 'c_page_header',
	'label'     => esc_attr__( 'Display', 'insidect' ),
	'section'   => 'c_crumbs',
	'default'   => '1',
	'priority'  => 2,
	'choices' => array(
		'yes' => esc_attr__('Yes', 'insidect'),
		'no' => esc_attr__('No', 'insidect'),
	),
	'partial_refresh' => array(
		'bread_edit_location' => array(
			'selector'        => '#bread-edit-location',
			'render_callback' => 'insidect_bread_edit_location',
		),
	),
));

/*breadcrumbs display*/
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'switch',
	'settings'  => 'c_crumbs',
	'section'   => 'c_crumbs',
	'label'     => esc_attr__( 'Navigation bar', 'insidect' ),
	'priority'  => 10,
	'default'     => '0',
	'choices' => array(
		'on'  => esc_attr__( 'On', 'insidect' ),
		'off' => esc_attr__( 'Off', 'insidect' )
	),
	'active_callback'  => array(
		array(
			'setting'  => 'c_page_header',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

/*header text color*/
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color',
	'default' => '#ffffff',
	'label'     => esc_attr__( 'Text color', 'insidect' ),
	'settings'  => 'c_header_text_color',
	'section'   => 'c_crumbs',
	'priority'  => 6,
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.breadcrumbs',
			'function' => 'css',
			'property' => 'color'
		)	
	),
	'active_callback'  => array(
		array(
			'setting'  => 'c_page_header',
			'operator' => '==',
			'value'    => '1',
		),
	)
));

//use img
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'cropped_image',
	'settings'  => 'c_header_bg_image',
	'label'     => esc_attr__( 'Upload Image', 'insidect' ),
	'section'   => 'c_crumbs',
	'width'	=> 1920,
	'height' => 570,
	'description'   => esc_attr__( 'Upload background image of page header here!', 'insidect' ),
	'priority'  => 40,
	'output'     => array(
		array(
			'element' => '.insidect-breadcrumb',
			'function' => 'css',
			'property' => 'background-image',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'c_page_header',
			'operator' => '==',
			'value'    => '1',
		),
		array(
			'setting'  => 'c_header_bg',
			'operator' => '==',
			'value'    => 'bg_image',
		),
	)
));

Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color-alpha',
	'settings'  => 'c_header_bg_image_filter',
	'label'     => esc_attr__( 'Background image filter', 'insidect' ),
	'section'   => 'c_crumbs',
	'transport' => 'auto',
    'default' => 'rgba(32,32,32,0.95)',
	'output' => array(
		array(
			'element' => '.insidect-breadcrumb .breadcrumb-filter',
			'function' => 'css',
			'property' => 'background-color'
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'c_page_header',
			'operator' => '==',
			'value'    => '1',
		),
	)
));