<?php
Insidect_Kirki::add_section( 'colors', array(
 	'title'      => esc_attr__( 'Colors', 'insidect' ),
 	'priority'   => 20,
 	'capability' => 'edit_theme_options',
 ) );

Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color',
	'settings'  => 'primary_color',
	'label'     => esc_attr__( 'Primary color', 'insidect' ),
	'description' => esc_attr__( 'Choose color', 'insidect' ),
	'section'   => 'colors',
	
	'default'   => '#cab387',
	'transport' => 'auto',
	// output
	'output' => array(
		// color
		array(
			'element' => array(
				'a:hover',
				'a:focus',
				'a:active',
				'.collapse-button',
				'.menu-toggle-large-screen i',
				'.breadcrumbs .last-item',
				'.entry-meta .cat-links a',
				'span.page-numbers.current',
				'form#searchform.searchform button#searchsubmit',
				'.widget ul li:hover a',
				'td#today',
				'.widget_recent_comments li',
				'.widget_rss ul li a.rsswidget',
				'.widget-top-stories ul.nav-tabs li:hover',
				'.format-link .entry-title a',
				'.format-quote .entry-title a',
				'.entry-footer .tags-links a:hover',
				'.single-post .entry-meta .cate-author a',
				'.site-copyright .site-links a:hover',
				'.theme-footer-widget .footer-email-widget label.footer-email-label:after',
				'.consult-blog-style-1 .blog-post-info .time .date',
				'.consult-blog-style-1 .sc-blog-item:hover .vc-more-link',
				'.testi-style-grid.theme-col-2 .theme-col-item span.icon',
				'.testi-style-grid.theme-col-3 .theme-col-item span.icon',
				'.testi-style-grid.theme-col-1 .theme-col-item .testi-content *',
				'.testi-style-carousel .theme-col-item.slick-current .testi-content *',
				'.testi-style-carousel.theme-direction-vertical .theme-col-item span.icon',
				'.consult-blog-style-2 .blog-news-item:hover .blog-post-info .post-tit a',
				'.project.show-caption .project-item:hover .project-caption a',
				'.dk_options .dk_option_current a',
				'.theme-iconbox.thumbnail:hover .iconbox-title',
				'.sub-toggle:hover',
				'.error-404 .page-subtitle',
				'.error-404 .page-content a',
				'.theme-footer-widget ul.menu li:hover a',
				'.widget ul:not(.nav-tabs) li:hover a',
				'.widget-top-stories ul.list-top-stories li.post-title:hover a',
				'.widget-top-stories ul.list-top-stories li:hover:before',
				'.comment-list .comment-box .reply:hover a',
				'.paging-navigation .page-numbers.current',
				'.widget_rss ul li:hover span.rss-date',
				'.theme-imagehover a.button-link',
			),
			'function' => 'css',
			'property' => 'color',
		),
		// background color
		array(
			'element' => array(
				'input[type="submit"]', 
				'button',
				'a.more-link',
				'.widget_tag_cloud .tagcloud a:hover',
				'.widget-top-stories ul.nav-tabs li.active',
				'.format-link .post-format i',
				'.format-quote .post-format i',
				'button.slick-arrow:hover:before',
				'button.slick-arrow.slick-disabled:before',
				'.scroll-to-top:hover',
				'.slick-dots li.slick-active button',
				'.slick-dots li:hover button',
				'.btn-theme-primary',
				'.portfolios-nav ul li.is-checked',
				'.portfolios-nav ul li:hover',
				'.theme-gallery.gallery-single-image.slick-arrow:hover',
				'.consult-blog-style-1 .blog-news-item .sc-blog-image::before',
				'.icon-beside-title .iconbox-bot .iconbox-title:hover a::after ',
				'.sticky-post .entry-title a:after',
				'.theme-imagehover.style-1 .image-wrapper:hover a.button-link',
				'.theme-imagehover.style-2 .image-wrapper a.button-link:hover',
			),
			'function' => 'css',
			'property' => 'background-color',
		),
		// border color
		array(
			'element' => array(
				'.widget_tag_cloud .tagcloud a:hover',
				'.portfolios-nav ul li.is-checked',
				'.portfolios-nav ul li:hover',
				'input[type="text"]:focus',
				'input[type="email"]:focus',
				'input[type="url"]:focus',
				'input[type="password"]:focus',
				'input[type="search"]:focus',
				'input[type="number"]:focus',
				'input[type="tel"]:focus',
				'input[type="range"]:focus',
				'input[type="date"]:focus',
				'input[type="month"]:focus',
				'input[type="week"]:focus',
				'input[type="time"]:focus',
				'input[type="datetime"]:focus',
				'input[type="datetime-local"]:focus',
				'input[type="color"]:focus',
				'textarea:focus',
				'.theme-imagehover.slick-slide',
			),
			'function' => 'css',
			'property' => 'border-color',
		),
		// outline color
		array(
			'element' => array(
				'.consult-blog-style-2 .blog-news-item:hover .blog-post-info',
			),
			'function' => 'css',
			'property' => 'outline-color',
		),
	),
) );

Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color',
	'settings'  => 'body_color',
	'label'     => esc_attr__( 'Body color', 'insidect' ),
	'description' => esc_attr__( 'Choose color', 'insidect' ),
	'section'   => 'colors',
	'default'   => '#b9b9b9',
	'transport' => 'auto',
	// output
	'output' => array(
		// color
		array(
			'element' => array(
				'a',
				'.collapse-button',
				'.breadcrumbs span',
				'.single-post .entry-meta .cat-links a',
				'.consult-blog-style-2 .blog-news-item:hover .blog-post-info .post-tit::after',
 				'input',
 				'select',
 				'textarea',
 				'.dk_options a',
 				'.widget-top-stories ul.list-top-stories li:before',
 				'.widget-top-stories ul.list-top-stories li.post-title a',
 				'span',
 				'label',
 				'li',
 				'.quote-ct',
 				'.blog-news-item .post-excerpt',
 				'.blog-news-item .time',
 				'.iconbox-content',
 				'.nav-previous',
 				'.comment-text p',
 				'body p',
 				'.fw-desc',
 				'.servide-desc',
 				'.textblock-shortcode',
 				'.theme-footer-widget',
 				'.theme-footer-widget ul.menu li a',
 				'.widget ul:not(.nav-tabs) li a',
 				'.widget caption',
 				'td',
			),
			'function' => 'css',
			'property' => 'color',
		),
		// background color
		array(
			'element' => array(
				'.consult-blog-style-2 .blog-post-info .time:before',
				'.menu-toggle-menu-container > ul > li > a::after',

			),
			'function' => 'css',
			'property' => 'background-color',
		),
	),
) );
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color',
	'settings'  => 'body_background_color',
	'label'     => esc_attr__( 'Background color', 'insidect' ),
	'description' => esc_attr__( 'Choose color', 'insidect' ),
	'section'   => 'colors',
	'default'   => '#242424',
	'transport' => 'auto',
	// output
	'output' => array(
		// color
		array(
			'element' => array(
				'.widget_tag_cloud .tagcloud a:hover',
			),
			'function' => 'css',
			'property' => 'color',
		),
		// background color
		array(
			'element' => array(
				'body',
			),
			'function' => 'css',
			'property' => 'background-color',
		),
	),
) );