<?php

Insidect_Kirki::add_section( 'c_footer', array(
 	'title'      => esc_attr__( 'Footer', 'insidect'),
 	'capability' => 'edit_theme_options',
	 'priority'   => 4,
));

/*footer display*/
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'switch',
	'label'     => esc_attr__( 'Footer widget', 'insidect' ),
	'settings'  => 'c_footer_display',
	'section'   => 'c_footer',
	'default'   => '1',
	'choices' => array(
		'on' => esc_attr__('On', 'insidect'),
		'off' => esc_attr__('Off', 'insidect'),
	)
));

/*footer background*/
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color',
	'settings'  => 'c_footer_bg',
	'label'     => esc_attr__( 'Background', 'insidect' ),
	'description' => esc_attr__('If select background image option, the theme recommends a header size of at least 1170 width pixels', 'insidect'),
	'section'   => 'c_footer',
	'default'   => '#202020',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.theme-footer-widget',
			'function' => 'css',
			'property' => 'background-color'
		)
	),
));

// footer title widget
Insidect_Kirki::add_field( 'insidect', array(
    'type'        => 'color',
	'settings'    => 'ft_widget_color',
	'label'       => esc_attr__( 'Widget Title Color', 'insidect' ),
	'section'     => 'c_footer',
	'default'     => '#fff',
 	'transport'   => 'auto',
	'output' => array(
		array(
			'element' => '.footer-widget-title',
			'function' => 'css',
			'property' => 'color',
		),
	),

));


/*copyright*/
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'textarea',
	'settings'  => 'c_copyright',
	'label'     => esc_attr__( 'Copyright text', 'insidect' ),
	'section'   => 'c_footer',
	'default' => '&copy; 2018 Insidect Design. All Rights Reserved.',
));

/*copyright background*/
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color',
	'settings'  => 'c_copyright_bg',
	'label'     => esc_attr__( 'Copyright Background', 'insidect' ),
	'section'   => 'c_footer',
	'default'   => '#202020',
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => '.site-copyright',
			'function' => 'css',
			'property' => 'background-color'
		)
	),
	'partial_refresh' => array(
		'footer_edit_location' => array(
			'selector'        => '#footer-edit-location',
			'render_callback' => 'insidect_footer_edit_location',
		),
	),
));

/*social links links*/
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'textarea',
	'settings'  => 'c_social_links',
	'label'     => esc_attr__( 'Social links', 'insidect' ),
	'section'   => 'c_footer',
	'choices'     => array(
		'language' => 'html',
	),
	'default'   => '
		<a href="#" class="ion-social-facebook"></a>
		<a href="#" class="ion-social-twitter"></a>
		<a href="#" class="ion-social-pinterest"></a>',
));