<?php
// Header Layout 1
Insidect_Kirki::add_field( 'insidect', array(
    'type'      => 'color',
    'settings'  => 'highlight_color_1',
    'label'     => esc_attr__( 'Highlight color', 'insidect' ),
    'section'   => 'header_1',
    'transport' => 'auto',
    'default' => '#cab387',
    'output' => array( 
        array(
            'element' => array(
                '.header-layout-1 .main-navigation li:hover>a',
                '.header-layout-1 .menu-toggle-1',
            ),
            'function' => 'css',
            'property' => 'color'
        ),
    ),
));

Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color-alpha',
	'settings'  => 'menu1_bg',
	'label'     => esc_attr__( 'Background color', 'insidect' ),
	'section'   => 'header_1',
	'transport' => 'auto',
	'default' => 'rgba(255,255,255,0)',
	'output' => array(
		array(
			'element' => array(
                '.header-layout-1 .nav-wrap',
            ),
			'function' => 'css',
			'property' => 'background-color'
		)
	),
));
/* contact*/
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'code',
	'settings'  => 'contact_1',
	'label'     => esc_attr__( 'Contact', 'insidect' ),
	'section'   => 'header_1',
	'choices'     => array(
		'language' => 'html',
	),
	'default'   => '
		<a href="mailto:supercar@haintheme.com"><i class="icon ion-ios-email-outline"></i>supercar@haintheme.com</a>
		<a href="tel:+13 3456043456"><i class="icon ion-ios-telephone-outline"></i>+13 3456043456</a>
	',
));

Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color',
	'settings'  => 'contact_1_color',
	'label'     => esc_attr__( 'Contact color', 'insidect' ),
	'description' => esc_attr__( 'Choose color', 'insidect' ),
	'transport' => 'auto',
	'section'   => 'header_1',
	'default'   => '#ffffff',
	'output' => array(
		// color
		array(
			'element' => array(
				'.site-contact.contact-1 *',
			),
			'function' => 'css',
			'property' => 'color'
		),
	),
));
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color-alpha',
	'settings'  => 'menubutton1_bg',
	'label'     => esc_attr__( 'Menu button background color', 'insidect' ),
	'section'   => 'header_1',
	'transport' => 'auto',
	'default' => '#282828',
	'output' => array(
		array(
			'element' => array(
                '.header-layout-1 .menu-toggle-1',
            ),
			'function' => 'css',
			'property' => 'background-color'
		)
	),
));

// Header Layout 2
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color',
	'settings'  => 'text_color_2',
	'label'     => esc_attr__( 'Menu text color', 'insidect' ),
	'section'   => 'header_2',
	'transport' => 'auto',
	'default' => '#7f7f7f',
	'output' => array( 
		array(
			'element' => array(
                '.header-layout-2 .main-navigation li a',
                '.site-contact.contact-2 .title',
                '.translation a',
            ),
			'function' => 'css',
			'property' => 'color'
        ),
        array(
			'element' => array(
                '.header-layout-2 .search-form-button'
            ),
			'function' => 'css',
			'property' => 'border-color'
        ),
	),
));
Insidect_Kirki::add_field( 'insidect', array(
    'type'      => 'color',
    'settings'  => 'highlight_color_2',
    'label'     => esc_attr__( 'Highlight color', 'insidect' ),
    'section'   => 'header_2',
    'transport' => 'auto',
    'default' => '#cab387',
    'output' => array( 
        array(
            'element' => array(
                '.header-layout-2 .main-navigation li:hover>a',
                '.site-contact.contact-2 a[href^="mailto"]',
				'.header-layout-2 .menu-toggle-2',
				'.translation a.active',
				'.header-layout-2 .current_page_item > a',
				'.header-layout-2 .current-menu-item > a',
				'.header-layout-2 .current_page_ancestor > a',
				'.header-layout-2 .current-menu-ancestor > a',
            ),
            'function' => 'css',
            'property' => 'color'
        ),
        array(
            'element' => array(
				'.header-layout-2 .main-navigation .sub-menu',
            ),
            'function' => 'css',
            'property' => 'border-color'
        ),
    ),
));

Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color-alpha',
	'settings'  => 'menu2_bg',
	'label'     => esc_attr__( 'Menu background color', 'insidect' ),
	'section'   => 'header_2',
	'transport' => 'auto',
	'default' => '#242424',
	'output' => array(
		array(
			'element' => array(
                '.header-layout-2 .nav-wrap',
                '.header-layout-2 .main-navigation ul',
                '.header-layout-2 .contact-info',
            ),
			'function' => 'css',
			'property' => 'background-color'
		)
	),
));

Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color',
	'settings'  => 'contact_2_color',
	'label'     => esc_attr__( 'Contact text color', 'insidect' ),
	'description' => esc_attr__( 'Choose color', 'insidect' ),
	'transport' => 'auto',
	'section'   => 'header_2',
	'default'   => '#ffffff',
	'output' => array(
		// color
		array(
			'element' => array(
				'.site-contact.contact-2 span',
				'.site-contact.contact-2 a[href^="tel"]',
			),
			'function' => 'css',
			'property' => 'color'
		),
	),
));

Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color-alpha',
	'settings'  => 'contac_2_bgc',
	'label'     => esc_attr__( 'Contact background', 'insidect' ),
	'section'   => 'header_2',
	'transport' => 'auto',
	'default' => '#202020',
	'output' => array(
		array(
			'element' => array(
                '.header-layout-2 .contact-info',
            ),
			'function' => 'css',
			'property' => 'background-color'
		)
	),
));

// Header Layout 3
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color',
	'settings'  => 'text_color_3',
	'label'     => esc_attr__( 'Text color', 'insidect' ),
	'section'   => 'header_3',
	'transport' => 'auto',
	'default' => '#7f7f7f',
	'output' => array( 
		array(
			'element' => array(
                '.header-layout-3 .translation a',
            ),
			'function' => 'css',
			'property' => 'color'
        ),
	),
));

Insidect_Kirki::add_field( 'insidect', array(
    'type'      => 'color',
    'settings'  => 'highlight_color_3',
    'label'     => esc_attr__( 'Highlight color', 'insidect' ),
    'section'   => 'header_3',
    'transport' => 'auto',
    'default' => '#cab387',
    'output' => array( 
        array(
            'element' => array(
                '.header-layout-3 .main-navigation li:hover>a',
				'.header-layout-3 .menu-toggle-2',
				'.header-layout-3 .translation a.active',
            ),
            'function' => 'css',
            'property' => 'color'
        ),
    ),
));

Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color-alpha',
	'settings'  => 'menu3_bg',
	'label'     => esc_attr__( 'Background color', 'insidect' ),
	'section'   => 'header_3',
	'transport' => 'auto',
	'default' => 'rgba(255,255,255,0)',
	'output' => array(
		array(
			'element' => array(
                '.header-layout-3 .nav-wrap',
            ),
			'function' => 'css',
			'property' => 'background-color'
		)
	),
));

Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color-alpha',
	'settings'  => 'menubutton3_bg',
	'label'     => esc_attr__( 'Menu button background color', 'insidect' ),
	'section'   => 'header_3',
	'transport' => 'auto',
	'default' => '#282828',
	'output' => array(
		array(
			'element' => array(
                '.header-layout-3 .menu-toggle-2',
            ),
			'function' => 'css',
			'property' => 'background-color'
		)
	),
));

// Header Layout 4
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color',
	'settings'  => 'text_color_4',
	'label'     => esc_attr__( 'Text color', 'insidect' ),
	'section'   => 'header_4',
	'transport' => 'auto',
	'default' => '#7f7f7f',
	'output' => array( 
		array(
			'element' => array(
                '.header-layout-4 .site-contact.contact-4 a',
                '.header-layout-4 .translation a',
            ),
			'function' => 'css',
			'property' => 'color'
        ),
	),
));

Insidect_Kirki::add_field( 'insidect', array(
    'type'      => 'color',
    'settings'  => 'highlight_color_4',
    'label'     => esc_attr__( 'Highlight color', 'insidect' ),
    'section'   => 'header_4',
    'transport' => 'auto',
    'default' => '#cab387',
    'output' => array( 
        array(
            'element' => array(
                '.header-layout-4 .menu-toggle-2',
                '.header-layout-4 .site-contact.contact-4 a[href^="mailto"]',
                '.header-layout-4 .translation a.active',
            ),
            'function' => 'css',
            'property' => 'color'
        ),
    ),
));

Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color-alpha',
	'settings'  => 'menu4_bg',
	'label'     => esc_attr__( 'Background color', 'insidect' ),
	'section'   => 'header_4',
	'transport' => 'auto',
	'default' => 'rgba(255,255,255,0)',
	'output' => array(
		array(
			'element' => array(
                '.header-layout-4 .nav-wrap',
            ),
			'function' => 'css',
			'property' => 'background-color'
		)
	),
));

Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color-alpha',
	'settings'  => 'menubutton4_bg',
	'label'     => esc_attr__( 'Menu button background color', 'insidect' ),
	'section'   => 'header_4',
	'transport' => 'auto',
	'default' => '#282828',
	'output' => array(
		array(
			'element' => array(
                '.header-layout-4 .menu-toggle-2',
            ),
			'function' => 'css',
			'property' => 'background-color'
		)
	),
));

// Full Screen Menu
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color',
	'settings'  => 'text_color_full_screen_menu',
	'label'     => esc_attr__( 'Text color', 'insidect' ),
	'section'   => 'full_screen_menu',
	'transport' => 'auto',
	'default' => '#282828',
	'output' => array( 
		array(
			'element' => array(
                '#full-screen-menu ul li > a',
                '.btn-menu-toggle.active i::before',
            ),
			'function' => 'css',
			'property' => 'color'
        ),
	),
));

Insidect_Kirki::add_field( 'insidect', array(
    'type'      => 'color',
    'settings'  => 'highlight_full_screen_menu',
    'label'     => esc_attr__( 'Highlight color', 'insidect' ),
    'section'   => 'full_screen_menu',
    'transport' => 'auto',
    'default' => '#cab387',
    'output' => array( 
        array(
            'element' => array(
            	'#full-screen-menu .current_page_item > a',
				'#full-screen-menu .current-menu-item > a',
				'#full-screen-menu .current_page_ancestor > a',
				'#full-screen-menu .current-menu-ancestor > a::after',
				'#full-screen-menu .sub-menu > li:hover > a',
            ),
            'function' => 'css',
            'property' => 'color'
        ),
        array(
            'element' => array(
				'#full-screen-menu .current-menu-ancestor > a::after',
				'#full-screen-menu ul > li:hover > a::after',
            ),
            'function' => 'css',
            'property' => 'background-color'
        ),
    ),
));

Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'color-alpha',
	'settings'  => 'full_screen_menu_bg',
	'label'     => esc_attr__( 'Background color', 'insidect' ),
	'section'   => 'full_screen_menu',
	'transport' => 'auto',
	'default' => '#fff',
	'output' => array(
		array(
			'element' => array(
                '#full-screen-menu',
            ),
			'function' => 'css',
			'property' => 'background-color'
		)
	),
));