<?php 
Insidect_Kirki::add_section( 'typography', array(
 	'title'      => esc_attr__( 'Typography', 'insidect' ),
 	//'priority'   => 3,
 	'capability' => 'edit_theme_options',
 ) );
 // typo main menu
Insidect_Kirki::add_field( 'insidect', array(
 	'type'        => 'typography',
 	'settings'    => 'menu_typography',
 	'label'       => esc_attr__( 'Mainmenu Typography', 'insidect' ),
 	'description' => esc_attr__( 'Select the typography options for your Main menu.', 'insidect' ),
 	'section'     => 'typography',
 	'default'     => array(
 		'font-family'    => 'Roboto Condensed',
 		'variant'        => '300',
 		'font-size'      => '14px',
 	),
 	'output' => array(
 		array(
 			'element' => array(
 				'#primary-menu > li > a',
 			),
 		),
 	),
 ) );

// typo sub menu
Insidect_Kirki::add_field( 'insidect', array(
 	'type'        => 'typography',
 	'settings'    => 'submenu_typography',
 	'label'       => esc_attr__( 'Submenu Mainmenu Typography', 'insidect' ),
 	'description' => esc_attr__( 'Select the typography options for your Submenu.', 'insidect' ),
 	'section'     => 'typography',
 	'default'     => array(
 		'font-family'    => 'Roboto Condensed',
		'variant'        => '300',
		'font-size'      => '14px',
 	),
 	'output' => array(
 		array(
 			'element' => array(
 				'#primary-menu .sub-menu > li >a',
 			),
 		),
 	),
 ) );

 // typo toggle menu
Insidect_Kirki::add_field( 'insidect', array(
 	'type'        => 'typography',
 	'settings'    => 'togglemenu_typography',
 	'label'       => esc_attr__( 'Togglemenu Typography', 'insidect' ),
 	'description' => esc_attr__( 'Select the typography options for your toggle menu.', 'insidect' ),
 	'section'     => 'typography',
 	'default'     => array(
 		'font-family'    => 'Roboto Condensed',
 		'variant'        => '500',
 		'font-size'      => '42px',
 	),
 	'output' => array(
 		array(
 			'element' => array(
 				'#secondary-menu > li > a',
 			),
 		),
 	),
 ) );

// typo toggle sub menu
Insidect_Kirki::add_field( 'insidect', array(
 	'type'        => 'typography',
 	'settings'    => 'toggle_submenu_typography',
 	'label'       => esc_attr__( 'Submenu Togglemenu Typography', 'insidect' ),
 	'description' => esc_attr__( 'Select the typography options for your Toggle menu.', 'insidect' ),
 	'section'     => 'typography',
 	'default'     => array(
 		'font-family'    => 'Roboto Condensed',
		'variant'        => '300',
		'font-size'      => '16px',
 	),
 	'output' => array(
 		array(
 			'element' => array(
 				'#secondary-menu .sub-menu > li >a',
 			),
 		),
 	),
 ) );
 
// typo body
Insidect_Kirki::add_field( 'insidect', array(
 	'type'        => 'typography',
 	'settings'    => 'body_typography',
 	'label'       => esc_attr__( 'Body Typography', 'insidect' ),
 	'description' => esc_attr__( 'Select the main typography options for your site.', 'insidect' ),
 	'section'     => 'typography',
 	'default'     => array(
 		'font-family'    => 'Roboto',
 		'variant'        => 'regular',
 		'font-size'      => '14px',
 		'line-height'    => '24px',
 	),
 	'output' => array(
 		array(
 			'element' => array(
 				'body p',
 				'.fw-desc',
 				'.servide-desc',
 				'.textblock-shortcode',
 				'.theme-footer-widget',
 				'.theme-footer-widget ul.menu li a',
 				'.widget ul:not(.nav-tabs) li a',
 			),
 		),
 	),
 ) );
// typo heading
Insidect_Kirki::add_field( 'insidect', array(
 	'type'        => 'typography',
 	'settings'    => 'heading_typography',
 	'label'       => esc_attr__( 'Heading', 'insidect' ),
 	'section'     => 'typography',
 	'default'     => array(
 		'font-family' => 'Roboto',
 		'variant' => '400',
 		'color' => '#ffffff',
 	),
 	'output' => array(
 		array(
 			'element' => array('h1', 'h2', 'h3', 'h4', 'h5', 'h6','h4 a','h5 a'),
 		),
 	),
 ));
Insidect_Kirki::add_field( 'insidect', array(
 	'type'        => 'typography',
 	'settings'    => 'h1_typography',
 	'label'       => esc_attr__( 'H1', 'insidect' ),
 	'section'     => 'typography',
 	'default'     => array(
 		'variant' => '700',
 		'font-size'      => '48px',
 	),
 	'output' => array(
 		array(
 			'element' => 'h1',
 		),
 	),
 ));
Insidect_Kirki::add_field( 'insidect', array(
 	'type'        => 'typography',
 	'settings'    => 'h2_typography',
 	'label'       => esc_attr__( 'H2', 'insidect' ),
 	'section'     => 'typography',
 	'default'     => array(
 		'font-size'      => '24px',
 	),
 	'output' => array(
 		array(
 			'element' => 'h2',
 		),
 	),
 ));
Insidect_Kirki::add_field( 'insidect', array(
 	'type'        => 'typography',
 	'settings'    => 'h3_typography',
 	'label'       => esc_attr__( 'H3', 'insidect' ),
 	'section'     => 'typography',
 	'default'     => array(
 		'font-size'      => '20px',
 	),
 	'output' => array(
 		array(
 			'element' => 'h3',
 		),
 	),
 ));
Insidect_Kirki::add_field( 'insidect', array(
 	'type'        => 'typography',
 	'settings'    => 'h4_typography',
 	'label'       => esc_attr__( 'H4', 'insidect' ),
 	'section'     => 'typography',
 	'default'     => array(
 		'font-size'      => '18px',
 	),
 	'output' => array(
 		array(
 			'element' => 'h4',
 		),
 	),
 ));
Insidect_Kirki::add_field( 'insidect', array(
 	'type'        => 'typography',
 	'settings'    => 'h5_typography',
 	'label'       => esc_attr__( 'H5', 'insidect' ),
 	'section'     => 'typography',
 	'default'     => array(
 		'font-size'      => '16px',
 	),
 	'output' => array(
 		array(
 			'element' => 'h5',
 		),
 	),
 ));
Insidect_Kirki::add_field( 'insidect', array(
 	'type'        => 'typography',
 	'settings'    => 'h6_typography',
 	'label'       => esc_attr__( 'H6', 'insidect' ),
 	'section'     => 'typography',
 	'default'     => array(
 		'font-size'      => '14px',
 	),
 	'output' => array(
 		array(
 			'element' => 'h6',
 		),
 	),
 ));