<?php

/*parent shortcode*/
if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    /*hoverimage carousel*/
    class WPBakeryShortCode_Hoverimage_carousel extends WPBakeryShortCodesContainer {
    }
}

/*child shortcode*/
if ( class_exists( 'WPBakeryShortCode' ) ) {
    /*iconbox*/
    class WPBakeryShortCode_Iconbox extends WPBakeryShortCode {
	}
    /*blog news*/
    class WPBakeryShortCode_News extends WPBakeryShortCode {
	}
    /*testimonials*/
    class WPBakeryShortCode_Testi extends WPBakeryShortCode {
    }
    /*progressbar*/
    class WPBakeryShortCode_Progressbars extends WPBakeryShortCode {
    }
    /*custom heading*/
    class WPBakeryShortCode_Customheading extends WPBakeryShortCode {
    }
    /*special heading*/
    class WPBakeryShortCode_Number_heading extends WPBakeryShortCode {
    }
    /*button link*/
    class WPBakeryShortCode_Button_link extends WPBakeryShortCode {
    }
    /*portfolio*/
    class WPBakeryShortCode_Portfolios extends WPBakeryShortCode {
    }
    /*slideshow gallery*/
    class WPBakeryShortCode_Slideshow extends WPBakeryShortCode {
    }
    /*archievement block*/
    class WPBakeryShortCode_Achievement_block extends WPBakeryShortCode {
    }
    /*brand logo*/
    class WPBakeryShortCode_Brandlogo extends WPBakeryShortCode {
    }
    /*hover image*/
    class WPBakeryShortCode_Hoverimage extends WPBakeryShortCode {
    }
}

/*incluce vc-maps*/
require_once get_template_directory() . '/inc/vc-maps.php';

/*disable VC auto update*/
function insidect_vc_disable_updater() {
	vc_manager()->disableUpdater();
}
add_action( 'vc_before_init', 'insidect_vc_disable_updater' );

/*add new option on default shortcode Visual Composer*/
if ( class_exists( 'WPBakeryVisualComposerAbstract' ) ) {

    /*vc_btn*/
	$theme_button = array(
        /*style*/
		array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Style', 'insidect' ),
            'description' => esc_html__( 'Select button display style.', 'insidect' ),
            'param_name' => 'style',
            'weight' => 20,
            'value' => array(
                esc_html__( 'Modern', 'insidect' ) => 'modern',
                esc_html__( 'Classic', 'insidect' ) => 'classic',
                esc_html__( 'Flat', 'insidect' ) => 'flat',
                esc_html__( 'Outline', 'insidect' ) => 'outline',
                esc_html__( '3d', 'insidect' ) => '3d',
                esc_html__( 'Custom', 'insidect' ) => 'custom',
                esc_html__( 'Outline custom', 'insidect' ) => 'outline-custom',
                esc_html__( 'Gradient', 'insidect' ) => 'gradient',
                esc_html__( 'Gradient Custom', 'insidect' ) => 'gradient-custom',
                esc_html__( 'Theme Style', 'insidect' ) => 'theme-style-default-btn',
                esc_html__( 'Theme Style Custom', 'insidect' ) => 'theme-style-custom',
            ),
            'std' => 'theme-style-default-btn'
        ),
        /*text color*/
        array(
            'type' => 'colorpicker',
            'std' => '#ffffff',
            'heading' => esc_html__( 'Text Color', 'insidect' ),
            'param_name' => 'text_color',
            'edit_field_class' => 'vc_col-sm-6',
            'dependency' => array(
                'element' => 'style',
                'value' => 'theme-style-custom'
            ),
            'weight' => 19,
        ),
        /*background color*/
        array(
            'type' => 'colorpicker',
            'std' => '#3b8cff',
            'heading' => esc_html__( 'Background Color', 'insidect' ),
            'param_name' => 'wtf',
            'edit_field_class' => 'vc_col-sm-6',
            'dependency' => array(
                'element' => 'style',
                'value' => 'theme-style-custom'
            ),
            'weight' => 18,
        ),
        /*line*/
        array(
            'type' => 'checkbox',
            'heading' => esc_html__( 'Line Color?', 'insidect' ),
            'param_name' => 'line',
            'dependency' => array(
                'element' => 'style',
                'value' => 'theme-style-custom'
            ),
            'value' => array(
                esc_html__( 'Yes', 'insidect' ) => 'yes',
            ),
            'weight' => 16,
            'std' => 'no'
        ),
        array(
            'type' => 'colorpicker',
            'std' => '#1d7bff',
            'heading' => esc_html__( 'Start Color', 'insidect' ),
            'param_name' => 'color1',
            'edit_field_class' => 'vc_col-sm-6',
            'dependency' => array(
                'element' => 'line',
                'value' => 'yes'
            ),
            'weight' => 15,
        ),
        array(
            'type' => 'colorpicker',
            'std' => '#59f1ff',
            'heading' => esc_html__( 'End Color', 'insidect' ),
            'param_name' => 'color2',
            'edit_field_class' => 'vc_col-sm-6',
            'dependency' => array(
                'element' => 'line',
                'value' => 'yes'
            ),
            'weight' => 14,
        ),
        /*shape*/
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Shape', 'insidect' ),
            'description' => esc_html__( 'Select button shape.', 'insidect' ),
            'param_name' => 'shape',
            'value' => array(
                esc_html__( 'Rounded', 'insidect' ) => 'rounded',
                esc_html__( 'Square', 'insidect' ) => 'square',
                esc_html__( 'Round', 'insidect' ) => 'round',
            ),
            'std' => 'square'
        ),
        /*disable color option on Theme Style Custom*/
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Color', 'insidect' ),
            'param_name' => 'color',
            'description' => esc_html__( 'Select button color.', 'insidect' ),
            'param_holder_class' => 'vc_colored-dropdown vc_btn3-colored-dropdown',
            'weight' => 2,
            'value' => array(
                    esc_html__( 'Classic Grey', 'insidect' ) => 'default',
                    esc_html__( 'Classic Blue', 'insidect' ) => 'primary',
                    esc_html__( 'Classic Turquoise', 'insidect' ) => 'info',
                    esc_html__( 'Classic Green', 'insidect' ) => 'success',
                    esc_html__( 'Classic Orange', 'insidect' ) => 'warning',
                    esc_html__( 'Classic Red', 'insidect' ) => 'danger',
                    esc_html__( 'Classic Black', 'insidect' ) => 'inverse',
                ) + getVcShared( 'colors-dashed' ),
            'std' => 'grey',
            'dependency' => array(
                'element' => 'style',
                'value_not_equal_to' => array(
                    'custom',
                    'outline-custom',
                    'gradient',
                    'gradient-custom',
                    'theme-style-custom',
                    'theme-style-default-btn'
                ),
            ),
        ),
	);
	vc_add_params( 'vc_btn', $theme_button );

    /*vc_tta_accordion*/
    $theme_accordion = array(
        /*style*/
        array(
			'type' => 'dropdown',
			'param_name' => 'style',
			'value' => array(
				esc_html__( 'Classic', 'insidect' ) => 'classic',
				esc_html__( 'Modern', 'insidect' ) => 'modern',
				esc_html__( 'Flat', 'insidect' ) => 'flat',
				esc_html__( 'Outline', 'insidect' ) => 'outline',
                esc_html__( 'Theme Style 1', 'insidect' ) => 'theme-style-1',
                esc_html__( 'Theme Style 2', 'insidect' ) => 'theme-style-2',
                esc_html__( 'Theme Style 3', 'insidect' ) => 'theme-style-3',
			),
            'std' => 'theme-style-1',
			'heading' => esc_html__( 'Style', 'insidect' ),
			'description' => esc_html__( 'Select accordion display style.', 'insidect' ),
		),
        /*icon*/
        array(
			'type' => 'dropdown',
			'param_name' => 'c_icon',
			'value' => array(
				esc_html__( 'None', 'insidect' ) => '',
				esc_html__( 'Chevron', 'insidect' ) => 'chevron',
				esc_html__( 'Plus', 'insidect' ) => 'plus',
				esc_html__( 'Triangle', 'insidect' ) => 'triangle',
                esc_html__( 'Theme Style', 'insidect' ) => 'theme-style',
			),
			'std' => 'theme-style',
			'heading' => esc_html__( 'Icon', 'insidect' ),
			'description' => esc_html__( 'Select accordion navigation icon.', 'insidect' ),
		),
        /*disable color for theme-style*/
        array(
			'type' => 'dropdown',
			'param_name' => 'color',
			'value' => getVcShared( 'colors-dashed' ),
			'std' => 'grey',
			'heading' => esc_html__( 'Color', 'insidect' ),
			'description' => esc_html__( 'Select accordion color.', 'insidect' ),
			'param_holder_class' => 'vc_colored-dropdown',
            'dependency' => array(
                'element' => 'style',
                'value_not_equal_to' => array('theme-style-1','theme-style-2','theme-style-3')
            ),
		),
    );
    vc_add_params('vc_tta_accordion', $theme_accordion);

    /*vc_pie*/
    $theme_pie = array(
        array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Text color', 'insidect' ),
            'description' => esc_html__( 'Select text color.', 'insidect' ),
			'param_name' => 'text_color',
            'weight' => 1
		),
    );
    vc_add_params('vc_pie', $theme_pie);

    /*vc_tta_accordion*/
    $theme_tour = array(
        /*style*/
        array(
			'type' => 'dropdown',
			'param_name' => 'style',
			'value' => array(
				esc_html__( 'Classic', 'insidect' ) => 'classic',
				esc_html__( 'Modern', 'insidect' ) => 'modern',
				esc_html__( 'Flat', 'insidect' ) => 'flat',
				esc_html__( 'Outline', 'insidect' ) => 'outline',
                esc_html__( 'Theme Style', 'insidect' ) => 'theme-tour-style',
			),
			'heading' => esc_html__( 'Style', 'insidect' ),
			'description' => esc_html__( 'Select tour display style.', 'insidect' ),
		),
        array(
			'type' => 'dropdown',
			'param_name' => 'color',
			'heading' => esc_html__( 'Color', 'insidect' ),
			'description' => esc_html__( 'Select tour color.', 'insidect' ),
			'value' => getVcShared( 'colors-dashed' ),
			'std' => 'grey',
			'param_holder_class' => 'vc_colored-dropdown',
            'dependency' => array(
                'element' => 'style',
                'value_not_equal_to' => array(
                    'theme-tour-style',
                ),
            ),
		),
    );
    vc_add_params('vc_tta_tour', $theme_tour);
    
}
