<?php

if(function_exists('vc_map')){
	add_action( 'init', 'insidect_vc_elements' );
}

/*theme shortcode*/
if(!function_exists('insidect_vc_elements')){
    function insidect_vc_elements(){
        /*iconbox*/
        vc_map(array(
			'name' => esc_html__( 'Iconbox', 'insidect' ),
			'icon' => get_template_directory_uri() . '/images/vc/iconbox.png',
			'base' => 'iconbox',
			'category' => esc_html__( 'Insidect Theme', 'insidect' ),
			'content_element' => true,
			'params' => array(
				/*style*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Style', 'insidect' ),
					'admin_label' => true,
					'param_name' => 'iconbox_style',
					'value' => array(
						esc_html__('Icon above title with rollover effect', 'insidect') => 'icon-above-title',
						esc_html__('Icon beside title', 'insidect') => 'icon-beside-title',
						esc_html__('Icon above title', 'insidect') => 'icon-above-title-2',
					),
					'std' => 'icon-above-title'
				),
				/*text align with icon-above-title*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Text align', 'insidect' ),
					'param_name' => 'align',
					'value' => array(
						esc_html__('Center', 'insidect') => 'text-center',
						esc_html__('Left', 'insidect') => 'text-left',
					),
					'std' => 'text-center'
				),

				/*title*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Title', 'insidect' ),
					'description' => esc_html__( 'Enter your title', 'insidect' ),
					'param_name' => 'ht_title',
					'admin_label' => true,
					'value' => 'This is my title',
				),
				/*link of title*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Link of Title?', 'insidect' ),
					'param_name' => 'title_link',
					'value' => array(
						esc_html__('Yes', 'insidect') => 'yes',
					),
					'std' => 'yes'
				),
				array(
					'type'       => 'vc_link',
					'heading'    => esc_html__( 'Link', 'insidect' ),
					'param_name' => 'link',
					'dependency' => array(
						'element' => 'title_link',
						'value' => 'yes'
					)
				),
				/*color of title*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Custom Color?', 'insidect' ),
					'param_name' => 'title_color',
					'value'      => array(esc_html__('Yes', 'insidect') => 'yes'),
					'std' => 'no',
				),
				array(
					'type'       => 'colorpicker',
					'heading'    => esc_html__( 'Color', 'insidect' ),
					'param_name' => 'color',
					'value' => '#333333',
					'dependency' => array(
						'element' => 'title_color',
						'value' => 'yes'
					)
				),
				array(
					'type'       => 'colorpicker',
					'heading'    => esc_html__( 'Hover Color', 'insidect' ),
					'param_name' => 'hover_color',
					'dependency' => array(
						'element' => 'title_color',
						'value' => 'yes'
					)
				),
				/*icon*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Icon', 'insidect' ),
					'param_name' => 'icon',
					'value' => array(
						esc_html__('Use Image', 'insidect') => 'use-image',
						esc_html__('Use Font Icon', 'insidect') => 'use-font-icon',
					),
					'std' => 'use-image'
				),
				/*icon - use font icon*/
				array(
					'type' => 'iconpicker',
					'heading' => esc_html__( 'Font Icon', 'insidect' ),
					'param_name' => 'font_icon',
					'value' => 'fa-plus-circle',
					'dependency' => array(
						'element' => 'icon',
						'value' => 'use-font-icon'
					),
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Font Size', 'insidect' ),
					'param_name' => 'font_size',
					'value' => '48px',
					'description' => esc_html('Enter font size. Ex: "30px", "1.5rem" or "2em"', 'insidect'),
					'dependency' => array(
						'element' => 'icon',
						'value' => 'use-font-icon'
					),
				),
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Font Color', 'insidect' ),
					'param_name' => 'font_color',
					'value' => '#4c4fff',
					'dependency' => array(
						'element' => 'icon',
						'value' => 'use-font-icon'
					),
				),
				/*icon - use image*/
				array(
					'type' => 'attach_image',
					'heading' => esc_html__( 'Image', 'insidect' ),
					'param_name' => 'image',
					'dependency' => array(
						'element' => 'icon',
						'value' => 'use-image'
					),
				),
				/*content*/
				array(
					'type' => 'textarea_html',
					'heading' => esc_html__( 'Content', 'insidect' ),
					'param_name' => 'content',
					'value' => 'Nec in adipiscing purus luctus, urna pellentesque fringilla vel, non sed arcu integer, mauris ullamcorper ante ut non torquent. Justo praesent, vivamus.',
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'insidect' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'insidect'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'insidect' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'insidect' ),
				),
			),
		));
	
		/*blog news*/
		vc_map( array(
			'name' => esc_html__( 'Blog News', 'insidect' ),
			'description' => esc_html__( 'Add a Blog News', 'insidect' ),
			'base' => 'news',
			'icon' => get_template_directory_uri() . '/images/vc/news.png',
			'category' => esc_html__('Insidect Theme', 'insidect'),
			'params' => array(
				/*blog style*/
				array(
					'type'       => 'dropdown',
					'heading'    => esc_html__( 'Style', 'insidect' ),
					'param_name' => 'blog_style',
					'value'      => array(
						esc_html__('Blog Post Style 1', 'insidect') => 'consult-blog-style-1',
						esc_html__('Blog Post Style 2', 'insidect') => 'consult-blog-style-2',
					),
					'std'        => 'consult-blog-style-1',
					'admin_label' => true,
				),
				/*count*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Count', 'insidect' ),
					'description' => esc_html__('Enter post count', 'insidect'),
					'param_name' => 'count',
					'admin_label' => true,
					'value' =>  array(2,3),
					'std' => '3'
				),
				array(
					'type'       => 'checkbox',
					'heading'    => esc_html__( 'Ignore sticky posts?', 'insidect' ),
					'param_name' => 'ignore_sticky_posts',
					'value'      => array(esc_html__('Yes', 'insidect') => 'yes'),
					'std' => 'yes',
				),
				/*thumbnail*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Do not display Thumbnail Image?', 'insidect' ),
					'param_name' => 'thumb',
					'value' => array(
						esc_html__('Yes, do not display','insidect') => 'no',
					),
					'std' => 'no'
				),
				/*bgc*/
				array(
					'type'       => 'colorpicker',
					'heading'    => esc_html__( 'Background Color', 'insidect' ),
					'param_name' => 'bgc',
					'value' => '#282828',
					'dependency' => array(
						'element' => 'thumb',
						'value' => 'no'
					)
				),
				/*order*/
				array(
					'type'       => 'dropdown',
					'heading'    => esc_html__( 'Order by', 'insidect' ),
					'param_name' => 'order_by',
					'value'      => array(
						esc_html__('Default', 'insidect') => 'none',
						esc_html__('Date', 'insidect') => 'date',
						esc_html__('ID', 'insidect') => 'ID',
						esc_html__('Name', 'insidect') => 'name',
						esc_html__('Author', 'insidect') => 'author',
						esc_html__('Title', 'insidect') => 'title',
						esc_html__('Modified', 'insidect') => 'modified',
						esc_html__('Random', 'insidect') => 'rand',
						esc_html__('Comment count', 'insidect') => 'comment_count',
						esc_html__('Menu order', 'insidect') => 'menu_order',
					),
					'std'        => 'none',
					'admin_label' => true,
				),
				/*sort*/
				array(
					'type'       => 'dropdown',
					'heading'    => esc_html__( 'Sort order', 'insidect' ),
					'param_name' => 'sort_order',
					'value'      => array(
						esc_html__('Default', 'insidect') => '',
						esc_html__('Ascending', 'insidect') => 'ASC',
						esc_html__('Descending', 'insidect') => 'DESC',
					),
					'std'        => '',
					'admin_label' => true,
				),

				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'insidect' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'insidect'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'insidect' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'insidect' ),
				),
			),
		));

		/*testimonials*/
		vc_map(array(
			'name' => esc_html__( 'Testimonials', 'insidect' ),
			'icon' => get_template_directory_uri() . '/images/vc/testi.png',
			'base' => 'testi',
			'category' => esc_html__('Insidect Theme', 'insidect'),
			'params' => array(
				/*style*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Style', 'insidect' ),
					'admin_label' => true,
					'param_name' => 'style',
					'value' => array(
						esc_html__( 'Grid', 'insidect' ) => 'grid',
						esc_html__( 'Carousel', 'insidect' ) => 'carousel',
					),
					'std' => 'carousel'
				),
				/*grid column - grid*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Post per row', 'insidect' ),
					'param_name' => 'column',
					'dependency' => array(
						'element' => 'style',
						'value' => 'grid'
					),
					'value' => array(1,2, 3),
					'std' => '3'
				),
				/*carousel*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Post per row', 'insidect' ),
					'param_name' => 'direction',
					'dependency' => array(
						'element' => 'style',
						'value' => 'carousel'
					),
					'value' => array(
						esc_html__( 'Horizontal', 'insidect' ) => 'horizontal',
						esc_html__( 'Vertical', 'insidect' ) => 'vertical',
					),
					'std' => 'ltr'
				),
				/*post count*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Post count', 'insidect' ),
					'admin_label' => true,
					'param_name' => 'count',
					'value' => '3'
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'insidect' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'insidect'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'insidect' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'insidect' ),
				),
			)
		));

		/*progress bar*/
        vc_map(array(
			'name' => esc_html__( 'Progress bar', 'insidect' ),
			'icon' => get_template_directory_uri() . '/images/vc/progressbar.png',
			'base' => 'progressbars',
			'category' => esc_html__( 'Insidect Theme', 'insidect' ),
			'content_element' => true,
			'params' => array(
				array(
	                'type' => 'param_group',
	                'param_name' => 'progressbar',
	                'value' => urlencode( json_encode( array(
						array(
							'label' => esc_html__( 'PROJECT PLANNING', 'insidect' ),
							'value' => '80',
						),
						array(
							'label' => esc_html__( 'INTERIOR DESIGN', 'insidect' ),
							'value' => '90',
						),
						array(
							'label' => esc_html__( 'BUILDING', 'insidect' ),
							'value' => '70',
						),
						array(
							'label' => esc_html__( 'PROJECT MANAGEMENT', 'insidect' ),
							'value' => '95',
						),
					) ) ),
	                'params' => array(
	                    array(
	                        'type' => 'textfield',
	                        'value' => '',
	                        'heading' => esc_html__('Label','insidect'),
	                        'param_name' => 'label',
	                        'description' => esc_html__('Enter text used as title of bar.', 'insidect'),
	                        'admin_label' => true,
	                    ),
	                    array(
	                        'type' => 'textfield',
	                        'value' => '',
	                        'heading' => esc_html__('Value','insidect'),
	                        'param_name' => 'value',
	                        'description' => esc_html__('Enter value of bar.', 'insidect'),
	                        'admin_label' => true,
	                    )
	                ),
	            ),
				array(
					'type'       => 'colorpicker',
					'heading'    => esc_html__( 'Bar background color', 'insidect' ),
					'param_name' => 'bar_bgc',
					'value' => '#cab378',
					'description' => esc_html__('Select bar background color.', 'insidect'),
				),
				array(
					'type'       => 'colorpicker',
					'heading'    => esc_html__( 'Progress color.', 'insidect' ),
					'param_name' => 'progress_bgc',
					'value' => '#7f7f7f',
					'description' => esc_html__('Select progress color.', 'insidect'),
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'insidect' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'insidect'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'insidect' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'insidect' ),
				),
			),
		));

        /*custom heading*/
		vc_map(array(
			'name' => esc_html__( 'Custom Heading', 'insidect' ),
			'icon' => get_template_directory_uri() . '/images/vc/special_heading.png',
			'base' => 'customheading',
			'category' => esc_html__( 'Insidect Theme', 'insidect' ),
			'content_element' => true,
			'params' => array(
				/*heading*/
				array(
					'type' => 'textarea',
					'heading' => esc_html__( 'Heading', 'insidect' ),
					'param_name' => 'heading',
					'admin_label' => true,
					'value' => esc_html__( 'This is custom heading element', 'insidect' ),
				),
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Heading Tag', 'insidect' ),
					'param_name' => 'tag_heading',
					'value' => array('h1','h2','h3','h4','h5','h6'),
					'std' => 'h5'
				),
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Heading Color', 'insidect' ),
					'param_name' => 'heading_color',
					'value' => '#cab387',
				),
				/*subheading*/
				array(
					'type' => 'textarea',
					'heading' => esc_html__( 'Subheading', 'insidect' ),
					'param_name' => 'subheading',
					'admin_label' => true,
					'value' => esc_html__( 'This is subheading element', 'insidect' ),
				),
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Subheading Tag', 'insidect' ),
					'param_name' => 'tag_subheading',
					'value' => array('h1','h2','h3','h4','h5','h6'),
					'std' => 'h3'
				),
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Subheading Color', 'insidect' ),
					'param_name' => 'subheading_color',
					'value' => '#fff',
				),
				/*thumbnail*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Heading margin?', 'insidect' ),
					'param_name' => 'margin',
					'value' => array(
						esc_html__('No','insidect') => 'no',
					),
					'std' => 'yes'
				),
				/*link*/
				array(
					'type' => 'vc_link',
					'heading' => esc_html__( 'URL (Link)', 'insidect' ),
					'param_name' => 'link',
					'description' => esc_html__( 'Add link to custom heading.', 'insidect' ),
				),

				/*text align*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Text align', 'insidect' ),
					'param_name' => 'align',
					'value' => array(
						esc_html__('Left', 'insidect') => 'text-left',
						esc_html__('Center', 'insidect') => 'text-center',
						esc_html__('Right', 'insidect') => 'text-right',
					),
					'std' => 'text-center'
				),
				/*font-family*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Use theme default font family?', 'insidect' ),
					'param_name' => 'use_theme_fonts',
					'value' => array( esc_html__( 'Yes', 'insidect' ) => 'yes' ),
					'description' => esc_html__( 'Use font family from the theme.', 'insidect' ),
				),
				array(
					'type' => 'google_fonts',
					'param_name' => 'fonts',
					'value' => 'font_family:Roboto%20Condensed%3A300%2C300italic%2Cregular%2Citalic%2C700%2C700italic|font_style:300%20light%20regular%3A300%3Anormal',
					'settings' => array(
						'fields' => array(
							'font_family_description' => esc_html__( 'Select font family.', 'insidect' ),
							'font_style_description' => esc_html__( 'Select font styling.', 'insidect' ),
						),
					),
					'dependency' => array(
						'element' => 'use_theme_fonts',
						'value_not_equal_to' => 'yes',
					),
				),
				
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'insidect' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'insidect'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'insidect' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'insidect' ),
				),
			),
		));

		/*special heading*/
		vc_map(array(
			'name' => esc_html__( 'Number Heading', 'insidect' ),
			'icon' => get_template_directory_uri() . '/images/vc/special_heading.png',
			'base' => 'number_heading',
			'category' => esc_html__( 'Insidect Theme', 'insidect' ),
			'content_element' => true,
			'params' => array(
				/*number*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Number', 'insidect' ),
					'param_name' => 'number',
					'admin_label' => true,
					'value' => '01',
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Number Font-size', 'insidect' ),
					'param_name' => 'number_fz',
					'value' => '120px',
				),
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Number Color', 'insidect' ),
					'param_name' => 'number_color',
					'value' => '#cab387',
				),
				/*heading*/
				array(
					'type' => 'textarea',
					'heading' => esc_html__( 'Heading', 'insidect' ),
					'param_name' => 'heading',
					'admin_label' => true,
					'value' => esc_html__( 'This is heading element', 'insidect' ),
				),
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Heading Font-size', 'insidect' ),
					'param_name' => 'tag_heading',
					'value' => array('h1','h2','h3','h4','h5','h6'),
					'std' => 'h3'
				),
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Heading Color', 'insidect' ),
					'param_name' => 'heading_color',
					'value' => '#fff',
				),
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Heading Backround color', 'insidect' ),
					'param_name' => 'heading_bgc',
					'value' => '#242424',
				),

				/*font-family*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Use theme default font family?', 'insidect' ),
					'param_name' => 'use_theme_fonts',
					'value' => array( esc_html__( 'Yes', 'insidect' ) => 'yes' ),
					'description' => esc_html__( 'Use font family from the theme.', 'insidect' ),
				),
				array(
					'type' => 'google_fonts',
					'param_name' => 'fonts',
					'value' => 'font_family:Roboto%20Condensed%3A300%2C300italic%2Cregular%2Citalic%2C700%2C700italic|font_style:400%20regular%3A400%3Anormal',
					'settings' => array(
						'fields' => array(
							'font_family_description' => esc_html__( 'Select font family.', 'insidect' ),
							'font_style_description' => esc_html__( 'Select font styling.', 'insidect' ),
						),
					),
					'dependency' => array(
						'element' => 'use_theme_fonts',
						'value_not_equal_to' => 'yes',
					),
				),
				
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'insidect' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'insidect'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'insidect' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'insidect' ),
				),
			),
		));

		/*button link*/
		vc_map(array(
			'name' => esc_html__( 'Button', 'insidect' ),
			'icon' => get_template_directory_uri() . '/images/vc/button.png',
			'base' => 'button_link',
			'category' => esc_html__( 'Insidect Theme', 'insidect' ),
			'content_element' => true,
			'params' => array(
				/*button text*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Button Text', 'insidect' ),
					'param_name' => 'text',
					'admin_label' => true,
					'value' => 'SEE ALL NEWS',
				),
				/*link*/
				array(
					'type' => 'vc_link',
					'heading' => esc_html__( 'URL (Link)', 'insidect' ),
					'param_name' => 'link',
					'description' => esc_html__( 'Add link to button.', 'insidect' ),
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Font-size', 'insidect' ),
					'param_name' => 'font_size',
					'admin_label' => true,
					'value' => '14px',
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Height', 'insidect' ),
					'param_name' => 'height',
					'admin_label' => true,
					'value' => '40px',
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Width', 'insidect' ),
					'param_name' => 'width',
					'admin_label' => true,
					'value' => '140px',
				),

				/*text align*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Text align', 'insidect' ),
					'param_name' => 'align',
					'value' => array(
						esc_html__('Left', 'insidect') => 'text-left',
						esc_html__('Center', 'insidect') => 'text-center',
						esc_html__('Right', 'insidect') => 'text-right',
					),
					'std' => 'text-center'
				),
				/*color*/
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Button text color', 'insidect' ),
					'param_name' => 'color',
					'value' => '#202020',
				),
				/*bgc*/
				array(
					'type' => 'colorpicker',
					'heading' => esc_html__( 'Background color', 'insidect' ),
					'param_name' => 'bgc',
					'value' => '#cab387',
				),
				/*hover*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Turn off hover effect?', 'insidect' ),
					'param_name' => 'button_hover',
					'value'      => array(esc_html__('No', 'insidect') => 'no'),
					'std' => 'yes'
				),
				array(
					'type'       => 'colorpicker',
					'heading'    => esc_html__( 'Hover Color', 'insidect' ),
					'param_name' => 'hover_color',
					'value' => '#cab387',
					'dependency' => array(
						'element' => 'button_hover',
						'value_not_equal_to' => 'yes'
					),
				),
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Rounded shape', 'insidect' ),
					'param_name' => 'rounded',
					'value'      => array(esc_html__('Yes', 'insidect') => 'yes'),
					'std' => 'no'
				),
				array(
					'type'       => 'colorpicker',
					'heading'    => esc_html__( 'Hover Background color', 'insidect' ),
					'param_name' => 'hover_bgc',
					'value' => '#202020',
					'dependency' => array(
						'element' => 'button_hover',
						'value_not_equal_to' => 'yes'
					),
				),
				/*font-family*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Use theme default font family?', 'insidect' ),
					'param_name' => 'use_theme_fonts',
					'value' => array( esc_html__( 'Yes', 'insidect' ) => 'yes' ),
					'description' => esc_html__( 'Use font family from the theme.', 'insidect' ),
				),
				array(
					'type' => 'google_fonts',
					'param_name' => 'fonts',
					'value' => 'font_family:Roboto%20Condensed%3A300%2C300italic%2Cregular%2Citalic%2C700%2C700italic|font_style:300%20light%20regular%3A300%3Anormal',
					'settings' => array(
						'fields' => array(
							'font_family_description' => esc_html__( 'Select font family.', 'insidect' ),
							'font_style_description' => esc_html__( 'Select font styling.', 'insidect' ),
						),
					),
					'dependency' => array(
						'element' => 'use_theme_fonts',
						'value_not_equal_to' => 'yes',
					),
				),
				
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'insidect' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'insidect'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'insidect' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'insidect' ),
				),
			),
		));
		
		/*portfolio*/
		vc_map( array(
			'name' => esc_html__( 'Portfolios', 'insidect' ),
			'description' => esc_html__( 'Add Portfolios', 'insidect' ),
			'base' => 'portfolios',
			'icon' => get_template_directory_uri() . '/images/vc/portfolio.png',
			'category' => esc_html__('Insidect Theme', 'insidect'),
			'params' => array(
				/*navigation*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Display navigation?', 'insidect' ),
					'param_name' => 'navigation',
					'value' => array(
						esc_html__('Yes','insidect') => 'yes'
					),
					'std' => 'yes'
				),
				/*align*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Navigation align', 'insidect' ),
					'param_name' => 'align',
					'value' => array(
						esc_html__('Center', 'insidect') => 'text-center',
						esc_html__('Left', 'insidect') => 'text-left',
					),
					'dependency' => array(
						'element' => 'navigation',
						'value' => 'yes'
					),
					'std' => 'text-left'
				),
				/*style*/
				array(
					'type'       => 'dropdown',
					'heading'    => esc_html__( 'Style', 'insidect' ),
					'param_name' => 'portfolio_style',
					'value'      => array(
						esc_html__('Square grid', 'insidect') => 'portfolio-grid',
						esc_html__('Rectangle grid', 'insidect') => 'portfolio-rectangle-grid',
						esc_html__('Special grid', 'insidect') => 'portfolio-grid-special',
						esc_html__('Masonry', 'insidect') => 'portfolio-masonry',
						esc_html__('Carousel', 'insidect') => 'portfolio-carousel',
					),
					'std'        => 'portfolio-grid',
					'admin_label' => true,
				),
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Post per row', 'insidect' ),
					'param_name' => 'column',
					'dependency' => array(
						'element' => 'portfolio_style',
						'value' => array (
							'portfolio-grid',
							'portfolio-masonry',
							'portfolio-rectangle-grid'
						),
					),
					'value' => array(2,3,4),
					'std' => '3'
				),
				/*count*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Count', 'insidect' ),
					'description' => esc_html__('Enter post count', 'insidect'),
					'param_name' => 'count',
					'admin_label' => true,
					'std' => '9'
				),
				/*caption*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Display portfolio captions?', 'insidect' ),
					'param_name' => 'caption',
					'dependency' => array(
						'element' => 'portfolio_style',
						'value' => array(
							'portfolio-grid',
							'portfolio-masonry',
							'portfolio-rectangle-grid',
							'portfolio-carousel',
						),
					),
					'value' => array(
						esc_html__('No','insidect') => 'no'
					),
					'std' => 'yes'
				),
				/*spacing*/
				array(
					'type' => 'checkbox',
					'heading' => esc_html__( 'Display space between portfolios ?', 'insidect' ),
					'param_name' => 'spacing',
					'dependency' => array(
						'element' => 'caption',
						'value' => 'no'
					),
					'value' => array(
						esc_html__('Yes','insidect') => 'yes'
					),
					'std' => 'yes'
				),
				/*order*/
				array(
					'type'       => 'dropdown',
					'heading'    => esc_html__( 'Order by', 'insidect' ),
					'param_name' => 'order_by',
					'value'      => array(
						esc_html__('Default', 'insidect') => 'none',
						esc_html__('Date', 'insidect') => 'date',
						esc_html__('ID', 'insidect') => 'ID',
						esc_html__('Name', 'insidect') => 'name',
						esc_html__('Author', 'insidect') => 'author',
						esc_html__('Title', 'insidect') => 'title',
						esc_html__('Modified', 'insidect') => 'modified',
						esc_html__('Random', 'insidect') => 'rand',
						esc_html__('Comment count', 'insidect') => 'comment_count',
						esc_html__('Menu order', 'insidect') => 'menu_order',
					),
					'std'        => 'none',
					'admin_label' => true,
				),
				/*sort*/
				array(
					'type'       => 'dropdown',
					'heading'    => esc_html__( 'Sort order', 'insidect' ),
					'param_name' => 'sort_order',
					'value'      => array(
						esc_html__('Default', 'insidect') => '',
						esc_html__('Ascending', 'insidect') => 'ASC',
						esc_html__('Descending', 'insidect') => 'DESC',
					),
					'std'        => '',
					'admin_label' => true,
				),

				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'insidect' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'insidect'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'insidect' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'insidect' ),
				),
			),
		));

		/*slideshow*/
        vc_map(array(
			'name' => esc_html__( 'Slideshow Gallery', 'insidect' ),
			'icon' => get_template_directory_uri() . '/images/vc/slideshow.png',
			'base' => 'slideshow',
			'category' => esc_html__( 'Insidect Theme', 'insidect' ),
			'content_element' => true,
			'params' => array(
				/*style*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Style', 'insidect' ),
					'admin_label' => true,
					'param_name' => 'gallery_style',
					'value' => array(
						esc_html__('Single image', 'insidect') => 'gallery-single-image',
						esc_html__('Multiple images', 'insidect') => 'gallery-multiple-images',
					),
					'std' => 'gallery-single-image'
				),
				/*image attach*/
				array(
					'type'        => 'attach_images',
					'heading'     => esc_html__('Images', 'insidect' ),
					'description' => esc_html__('Choose your images', 'insidect'),
					'param_name'  => 'gallery_img',
				),

				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'insidect' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'insidect'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'insidect' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'insidect' ),
				),
			),
		));

		/*achievement block*/
        vc_map(array(
			'name' => esc_html__( 'Achievement Block', 'insidect' ),
			'icon' => get_template_directory_uri() . '/images/vc/archievement.png',
			'base' => 'achievement_block',
			'category' => esc_html__( 'Insidect Theme', 'insidect' ),
			'content_element' => true,
			'params' => array(
				array(
	                'type' => 'param_group',
	                'param_name' => 'achievement_block',
	                'value' => urlencode( json_encode( array(
						array(
							'number' => '20',
							'description' => esc_html__( 'Years of Design & Innovation', 'insidect' ),
							'align' => 'text-left',
							'number_color' => '#fff',
							'des_color' => '#7f7f7f',
							'bgc' => '#282828',
							'position' => 'top: 0 ; left: 0;',
							'layer' => '2',
						),
						array(
							'number' => '86',
							'description' => esc_html__( 'Architecture Prize & Awards', 'insidect' ),
							'align' => 'text-right',
							'number_color' => '#202020',
							'des_color' => '#202020',
							'bgc' => '#cab387',
							'position' => 'top: 100px ; right: 0;',
							'layer' => '1',
						),
						array(
							'number' => '395',
							'description' => esc_html__( 'Success Projects & Happy Clients', 'insidect' ),
							'align' => 'text-left',
							'number_color' => '#fff',
							'des_color' => '#7f7f7f',
							'bgc' => '#202020',
							'position' => 'top: 400px ; left: 100px;',
							'layer' => '1',
						),
					) ) ),
	                'params' => array(
	                    array(
	                        'type' => 'textfield',
	                        'heading' => esc_html__('Number','insidect'),
	                        'param_name' => 'number',
	                        'admin_label' => true,
	                    ),
	                    array(
	                        'type' => 'textarea',
	                        'heading' => esc_html__('Description','insidect'),
	                        'param_name' => 'description',
	                        'admin_label' => true,
	                    ),
	                    /*text align*/
						array(
							'type' => 'dropdown',
							'heading' => esc_html__( 'Text align', 'insidect' ),
							'param_name' => 'align',
							'value' => array(
								esc_html__('Left', 'insidect') => 'text-left',
								esc_html__('Center', 'insidect') => 'text-center',
								esc_html__('Right', 'insidect') => 'text-right',
							),
							'std' => 'text-left'
						),
						/*number color*/
						array(
							'type'       => 'colorpicker',
							'heading'    => esc_html__( 'Number color.', 'insidect' ),
							'param_name' => 'number_color',
						),
						/*text color*/
						array(
							'type'       => 'colorpicker',
							'heading'    => esc_html__( 'Text color.', 'insidect' ),
							'param_name' => 'des_color',
						),
						/*bgc*/
						array(
							'type'       => 'colorpicker',
							'heading'    => esc_html__( 'Block background color', 'insidect' ),
							'param_name' => 'bgc',
							'std' => '#7f7f7',
						),
						/*position*/
						array(
	                        'type' => 'textfield',
	                        'heading' => esc_html__('Position','insidect'),
	                        'param_name' => 'position',
	                        'std' => 'top: 0 ; left: 0;',
	                    ),
	                    /*layer*/
						array(
	                        'type' => 'textfield',
	                        'heading' => esc_html__('Layer','insidect'),
	                        'param_name' => 'layer',
	                    ),
	                ),
	            ),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'insidect' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'insidect'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'insidect' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'insidect' ),
				),
			),
		));
		
		/*brand logo*/
		vc_map( array(
			'name'     => esc_html__( 'Brand Logo', 'insidect' ),
			'icon' => get_template_directory_uri() . '/images/vc/brandlogo.png',
			'base'     => 'brandlogo',
			'category' => esc_html__( 'Insidect Theme', 'insidect' ),
			'params'   => array(
				/*image attach*/
				array(
					'type'        => 'attach_images',
					'heading'     => esc_html__('Images', 'insidect' ),
					'description' => esc_html__('Choose your images', 'insidect'),
					'param_name'  => 'imgs',
				),
				/*INCLIDE BY DEFAULT*/
				array(
					'type'        => 'textfield',
					'heading'     => esc_html__('Class', 'insidect' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'insidect'),
					'admin_label' => true,
					'param_name'  => 'class',
				),
				array(
					'type'       => 'css_editor',
					'heading'    => esc_html__( 'CSS', 'insidect' ),
					'param_name' => 'inline_css',
					'group'      => esc_html__( 'Design Options', 'insidect' ),
				),
			)
		));

		/*Hover image*/
        vc_map(array(
			'name' => esc_html__( 'Hover Image', 'insidect' ),
			'icon' => get_template_directory_uri() . '/images/vc/iconbox.png',
			'base' => 'hoverimage',
			'category' => esc_html__( 'Insidect Theme', 'insidect' ),
			'content_element' => true,
			'params' => array(
				/*style*/
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Style', 'insidect' ),
					'admin_label' => true,
					'param_name' => 'styles',
					'value' => array(
						esc_html__('Style 1', 'insidect') => 'style-1',
						esc_html__('Style 2', 'insidect') => 'style-2',
					),
					'std' => 'style-1'
				),
				/*image*/
				array(
					'type' => 'attach_image',
					'heading' => esc_html__( 'Image', 'insidect' ),
					'param_name' => 'image',
				),
				/*button text*/
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Button text', 'insidect' ),
					'param_name' => 'btn_text',
					'admin_label' => true,
					'value' => 'This is my title',
				),
				/*button link*/
				array(
					'type'       => 'vc_link',
					'heading'    => esc_html__( 'Link', 'insidect' ),
					'param_name' => 'link',
				),
				/*INCLIDE BY DEFAULT*/
				vc_map_add_css_animation(),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Class', 'insidect' ),
					'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'insidect'),
					'admin_label' => true,
					'param_name' => 'class',
				),
				array(
					'type' => 'css_editor',
					'heading'=> esc_html__( 'CSS', 'insidect' ),
					'param_name' => 'inline_css',
					'group' => esc_html__( 'Design Options', 'insidect' ),
				),
			),
		));

		/*image carousel container*/
		vc_map( array(
			'name' => esc_html__( 'Hover Image Carousel', 'insidect' ),
			'base' => 'hoverimage_carousel',
			'category' => esc_html__('Insidect Theme', 'insidect'),
			'description' => esc_html__( 'Add a Carousel of hover image', 'insidect' ),
			'show_settings_on_create' => false,
			'content_element' => true,
			'is_container' => true,
			'js_view' => 'VcColumnView',
			'as_parent' => array(
				'only' => 'hoverimage',
			),
			'params' => array(
				array(
			        'type'        => 'textfield',
			        'heading'     => esc_html__('Class', 'insidect' ),
			        'description' => esc_html__('Style particular content element differently - add a class name and refer to it in custom CSS.', 'insidect'),
			        'admin_label' => true,
			        'param_name'  => 'class',
		        ),
		        array(
			        'type'       => 'css_editor',
			        'heading'    => esc_html__( 'CSS', 'insidect' ),
			        'param_name' => 'css',
			        'group'      => esc_html__( 'Design Options', 'insidect' ),
		        ),
			),
		));

    }
}