<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }
class Widget_Top_Stories extends WP_Widget {

    function __construct() {
        $widget_ops = array(
            'description' => esc_html__('Display popular posts by comments and lastest posts', 'insidect'),
            'classname' => 'widget-top-stories'
        );
        parent::__construct( false, esc_html__( 'Top Stories', 'insidect'), $widget_ops );
    }

    function widget( $args, $instance ) {
        extract( $args );
        $title = esc_attr( $instance['title'] );
        $title = $before_title.$title.$after_title;
        $number     = esc_attr( $instance['number'] );
        wp_enqueue_script(
            'insidect-theme-top-stories',
            get_template_directory_uri() . '/inc/widgets/top-stories/static/js/scripts.js',
            array( 'jquery' ),
            '1.0'
        );
        $filepath = get_template_directory().'/inc/widgets/top-stories/views/widget.php';
        if (file_exists( $filepath ))
            include( $filepath );
    }

    function update( $new_instance, $old_instance ) {
        return $new_instance;
    }

    function form( $instance ) {
        $instance = wp_parse_args( (array) $instance, array( 'number' => 5, 'title' => 'Top Stories') ); ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e( 'Title', 'insidect'); ?> </label>
            <input type="text" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>"
                   value="<?php echo esc_attr( $instance['title'] ); ?>" class="widefat"
                   id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"/>
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'number' )); ?>"><?php esc_html_e( 'Number of posts', 'insidect'); ?></label>
            <input type="number" name="<?php echo esc_attr($this->get_field_name( 'number' )); ?>"
                   value="<?php echo esc_attr( $instance['number'] ); ?>" class="widefat"
                   id="<?php echo esc_attr($this->get_field_id( 'number' )); ?>"/>
        </p>
    <?php
    }
}