(function($) {
  "use strict";
	var HT = {};
	// plyr.setup();
  
	HT.isotope = function(){
  	var grid = $('.blog-masonry-grid');
      grid.masonry({
      // specify itemSelector so stamps do get laid out
        itemSelector: '.blog-masonry-it',
        percentPosition: true,
        masonry: {
  			  columnWidth: '.blog-masonry-it',
          horizontalOrder: true
			  }
    });

    // portfolios
    $(".grid-container").masonry({
      itemSelector: '.project',
      layoutMode: 'fitRows',
    });

    $('.portfolios-nav li').on('click',function(){
        $(this).addClass('is-checked').siblings().removeClass('is-checked');
        var filterValue = $(this).attr('data-filter');
        $(".grid-container").isotope({
            filter: filterValue,
            animationOption: {
               duration: 750,
               easing: 'linear',
               queue: false,
            }
        });
        return false;
    });  
  };

  var filtered = false;
  $('.portfolios-nav ul li').on('click', function(){
    $(this).addClass('is-checked').siblings().removeClass('is-checked');
    var filterValue = $(this).attr('data-filter');
    if (filtered == false) {
      $('.carousel-container').slick('slickFilter',filterValue);
      filtered = true;
    }
     else {
      $('.carousel-container').slick('slickUnfilter');
      filtered = false;
    }
  });
    
  HT.postGallery = function() {
      var postGallery = $(".post-gallery");
      postGallery.not('.slick-initialized').slick({
          slidesToShow: 1,
          slidesToScroll: 1,
          arrows: true,
          dots: false,
          infinite: false,
          fade: true,
          cssEase: 'linear',
      });
  };

  $(window).on('load',function(){
      HT.isotope();
      HT.postGallery();
  });

  // Scroll to top
  var scrolltop = $('.scroll-to-top');
  $(window).scroll(function () {
      if ($(this).scrollTop() > 100) {
          scrolltop.addClass('scroll-animation');
      } else {
          scrolltop.removeClass('scroll-animation');
      }
  });
  scrolltop.on('click', function () {
      $('html, body').animate({
          scrollTop: $("html").offset().top
      }, 300);
  });
  $(document).ready(function(){
    // portfolio carousel
    $('.carousel-container').slick({
      slidesToShow: 4,
      slidesToScroll: 1,
      arrows: false,
      dots: true,
      infinite: false,
    });

    /*testimonial carousel*/ 
    var testiCarousel = $('.testi-style-carousel.theme-direction-horizontal');
    testiCarousel.not('.slick-initialized').slick({
        slidesToShow: 3,
        slidesToScroll: 1,
        arrows: false,
        dots: true,
        centerMode: true,
        autoplay: true,
        responsive: [
            {
                breakpoint: 1300,
                settings: {
                    slidesToShow: 3,
                    variableWidth: false,
                    dots: true,
                    arrows: false,
                }
            },
            {
                breakpoint: 992,
                settings: {
                    slidesToShow: 1,
                    variableWidth: false,
                    dots: true,
                    arrows: false,
                }
            },
        ]
    });
    var vertestiCarousel = $('.testi-style-carousel.theme-direction-vertical');
    vertestiCarousel.not('.slick-initialized').slick({
        slidesToShow: 3,
        slidesToScroll: 1,
        arrows: false,
        dots: false,
        centerMode: true,
        vertical: true,
        focusOnSelect: true,
        infinite: true,
        autoplay: true,
        responsive: [
            {
                breakpoint: 1300,
                settings: {
                    slidesToShow: 2,
                    variableWidth: false,
                    dots: false,
                    arrows: false,
                }
            },
          {
                breakpoint: 992,
                settings: {
                    slidesToShow: 1,
                    variableWidth: false,
                    dots: false,
                    arrows: false,
                }
            },
        ]
    });

    /*Hover image carousel*/
    var hoverimageCarousel = $('.theme-hoverimage-carousel');
    hoverimageCarousel.not('.slick-initialized').slick({
        slidesToShow: 5,
        slidesToScroll: 1,
        arrows: false,
        dots: false,
        infinite: true,
        variableWidth: false,
        draggable: false,
        centerMode: true,
        autoplay: true,
        focusOnSelect: true,
        responsive: [
            {
                breakpoint: 1900,
                settings: {
                    slidesToShow: 5,
                }
            },
            {
                breakpoint: 1300,
                settings: {
                    slidesToShow: 3,
                }
            },
            {
                breakpoint: 992,
                settings: {
                    slidesToShow: 2,
                }
            },
            {
                breakpoint: 460,
                settings: {
                    slidesToShow: 1,
                    variableWidth: false,
                    arrows: false,
                }
            },
        ]
    });

    // progress-bar
    var viewport = $('.progress .progress-bar');
    viewport.inViewport(function() {
        $('.progress .progress-bar').css("width",
          function() {
              return $(this).attr("aria-valuenow") + "%";
          }
        );
    });

  // dropdown
  $(".consult-dropdown-list").dropkick();

  /*slideshow gallery*/
    var gallerySingle = $('.theme-gallery.gallery-single-image');
    gallerySingle.not('.slick-initialized').slick({
        arrows: true,
        dots: false,
        centerMode: true,
        centerPadding: '30px',
        focusOnSelect: true,
        infinite: true,
    });

    var galleryMultiple = $('.theme-gallery.gallery-multiple-images');
    galleryMultiple.not('.slick-initialized').slick({
        slidesToShow: 3,
        arrows: false,
        dots: false,
        centerMode: true,
        centerPadding: '30px',
        focusOnSelect: true,
        variableWidth: false,
        infinite: true,
        responsive: 
        [
          {
              breakpoint: 1300,
              settings: {
                  slidesToShow: 3,
                  variableWidth: false,
                  dots: true,
                  arrows: false,
              }
          },
          {
              breakpoint: 992,
              settings: {
                  slidesToShow: 1,
                  variableWidth: false,
                  dots: true,
                  arrows: false,
              }
          },
        ]
    });

    var fancybox = $(".fancybox");
    fancybox.fancybox({
        openEffect  : 'none',
        closeEffect : 'none'
    });
});
  /* portfolio caption */
    var i;
    for (i = 0; i < 2; i++) {
      $('.project.hide-caption .project-item .project-caption').each(function(e){
        var portfolioCaption = $(this).clone();
        $(this).parent().append(portfolioCaption);
      });
    };
    
})(jQuery);