<?php
/**
 * Template part for displaying gallery posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package insidect
 */

$gallery = (function_exists('fw_get_db_post_option')) ? fw_get_db_post_option($post->ID, 'gallery') : false;

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php if( (is_page_template('page-templates/blog-list.php') || is_page_template('page-templates/blog-large-list.php') ) && !is_sticky()): ?>
			<?php if(!is_single()): ?>
				<?php if(!empty($gallery)){ ?>
					<div class="post-gallery">
						<?php foreach($gallery as $key): ?>
							<img src="<?php echo fw_resize($key['url'], '770', '400', true); ?>" alt="<?php esc_attr_e('Blog image', 'insidect'); ?>">
						<?php endforeach; ?>
					</div>
				<?php } ?>
			<?php endif; ?>
			<div class="entry-box">
				<header class="entry-header">
					<?php insidect_entry_title(); ?>
					<?php if ( 'post' === get_post_type() ) : ?>
							<div class="entry-meta">
								<?php insidect_category_author(); ?>
								<?php insidect_posted_on(); ?>
							</div><!-- .entry-meta -->
					<?php endif; ?>
				</header><!-- .entry-header -->
				<div class="entry-content">
					<?php
						if (is_single()) :
							the_content();
						else :
							the_excerpt();
						endif;
					?>
				</div><!-- .entry-content -->
			</div>

	<?php else : ?>
		<header class="entry-header">
			<?php insidect_entry_title(); ?>
			<?php
				if ( 'post' === get_post_type() ) : ?>
				<div class="entry-meta">
					<?php insidect_category_author(); ?>
					<?php insidect_posted_on(); ?>
				</div><!-- .entry-meta -->
			<?php
				endif; ?>
			<?php
				if(!is_single()): ?>
					<?php if(!empty($gallery)){ ?>
					<div class="post-gallery">
						<?php foreach($gallery as $key): ?>
								<img src="<?php echo fw_resize($key['url'], '770', '400', true); ?>" alt="<?php esc_attr_e('Blog image', 'insidect'); ?>">
						<?php endforeach; ?>
					</div>
					<?php } ?>
			<?php endif; ?>
		</header><!-- .entry-header -->
		<div class="entry-content">
			<?php
				if (is_single()) :
					the_content();
				else :
					the_excerpt();
				endif;
			?>
		</div><!-- .entry-content -->
	<?php endif; ?>
		<?php if (is_single()) : ?>
		<footer class="entry-footer">
			<?php insidect_entry_footer(); ?>
		</footer><!-- .entry-footer -->
		<?php endif; 
	?>
</article><!-- #post-## -->
