<?php
/**
 * Template part for displaying quote posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package insidect
 */
$quote = (function_exists('fw_get_db_post_option')) ? fw_get_db_post_option($post->ID, 'quote') : '';

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php if(!is_single()): ?>
			<span class="post-format"><i class="icon ion-quote"></i>
				<?php echo esc_html__('QUOTE','insidect') ?>
			</span>
			<div class="quote-ct">
				<?php echo esc_html($quote) ?>
			</div>
		<?php endif; ?>
		<?php insidect_entry_title(); ?>
		<?php if ( 'post' === get_post_type() ) : ?>
				<div class="entry-meta">
					<?php insidect_category_author(); ?>
					<?php insidect_posted_on(); ?>
				</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header-->
	<?php if (is_single()) : ?>
		<div class="entry-content">
			<?php the_content(); ?>
		</div><!-- .entry-content -->

		<footer class="entry-footer">
			<?php insidect_entry_footer(); ?>
		</footer><!-- .entry-footer -->
	<?php endif; ?>
</article><!-- #post-## -->
