<?php
/**
 * Template part for displaying quote posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package insidect
 */
$video_type = (function_exists('fw_get_db_post_option') ? fw_get_db_post_option($post->ID, 'data_video_type') : '');
$video_url = (function_exists('fw_get_db_post_option') ? fw_get_db_post_option($post->ID, 'data_video') : '');

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php if( (is_page_template('page-templates/blog-list.php') || is_page_template('page-templates/blog-large-list.php') ) && !is_sticky()): ?>
			<?php if(!is_single()): ?>
				<?php if(!empty($video_url)){ ?>
					<div class="post-video">
						<div data-type="<?php echo esc_attr($video_type); ?>" data-video-id="<?php echo esc_attr($video_url); ?>" class="post-video-atc"></div>
					</div>
				<?php } ?>
			<?php endif; ?>
			<div class="entry-box">
				<header class="entry-header">
					<?php insidect_entry_title(); ?>
					<?php if ( 'post' === get_post_type() ) : ?>
							<div class="entry-meta">
								<?php insidect_category_author(); ?>
								<?php insidect_posted_on(); ?>
							</div><!-- .entry-meta -->
					<?php endif; ?>
				</header><!-- .entry-header -->
				<div class="entry-content">
					<?php
						if (is_single()) :
							the_content();
						else :
							the_excerpt();
						endif;
					?>
				</div><!-- .entry-content -->
			</div>

	<?php else : ?>
		<header class="entry-header">
			<?php insidect_entry_title(); ?>
			<?php
				if ( 'post' === get_post_type() ) : ?>
				<div class="entry-meta">
					<?php insidect_category_author(); ?>
					<?php insidect_posted_on(); ?>
				</div><!-- .entry-meta -->
			<?php
				endif; ?>
			<?php 
				if(!is_single()): ?>
				<?php if(!empty($video_url)){ ?>
					<div class="post-video">
						<div data-type="<?php echo esc_attr($video_type); ?>" data-video-id="<?php echo esc_attr($video_url); ?>" class="post-video-atc"></div>
					</div><!-- .entry-video -->
				<?php } ?>
			<?php endif; ?>
		</header><!-- .entry-header -->
		<div class="entry-content">
			<?php
				if (is_single()) :
					the_content();
				else :
					the_excerpt();
				endif;
			?>
		</div><!-- .entry-content -->
	<?php endif; ?>
		<?php if (is_single()) : ?>
		<footer class="entry-footer">
			<?php insidect_entry_footer(); ?>
		</footer><!-- .entry-footer -->
		<?php endif; 
	?>
</article><!-- #post-## -->
