<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package insidect
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php if( (is_page_template('page-templates/blog-list.php') || is_page_template('page-templates/blog-large-list.php') ) && !is_sticky()): ?>
			<?php insidect_post_thumbnail(); ?>
			<div class="entry-box">
				<header class="entry-header">
					<?php insidect_entry_title(); ?>
					<?php
					if ( 'post' === get_post_type() ) : ?>
					<div class="entry-meta">
						<?php insidect_category_author(); ?>
						<?php insidect_posted_on(); ?>
					</div><!-- .entry-meta -->
					<?php
					endif; ?>
				</header><!-- .entry-header -->
				<div class="entry-content">
					<?php
						if (is_single()) :
							the_content();
							wp_link_pages();
						else :
							the_excerpt();
						endif;
					?>
				</div><!-- .entry-content -->
			</div>

	<?php else : ?>

		<header class="entry-header">
			<?php insidect_entry_title(); ?>
			<?php
			if ( 'post' === get_post_type() ) : ?>
			<div class="entry-meta">
				<?php insidect_category_author(); ?>
				<?php insidect_posted_on(); ?>
			</div><!-- .entry-meta -->
			<?php
			endif; ?>
						<?php 
			if ( !is_page_template('page-templates/blog-masonry.php')) : 
				insidect_post_thumbnail();
			endif;
			?>
		</header><!-- .entry-header -->
		<div class="entry-content">
			<?php
				if (is_single()) :
					the_content();
					wp_link_pages();
				else :
					the_excerpt();
				endif;
			?>
		</div><!-- .entry-content -->
	<?php endif; ?>
	<?php if (is_single()) : ?>
		<footer class="entry-footer">
			<?php insidect_entry_footer(); ?>
		</footer><!-- .entry-footer -->
	<?php endif;  ?>
</article><!-- #post-## -->
