<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

/* Get default values from VC_MAP.*/

$gg_fonts_obj = new Vc_Google_Fonts();
$font_container_obj = new Vc_Font_Container();

$gg_fonts_field_settings = isset( $atts['settings'], $atts['settings']['fields'] ) ? $atts['settings']['fields'] : array();
$gg_fonts_data = strlen( $fonts ) > 0 ? $gg_fonts_obj->_vc_google_fonts_parse_attributes( $gg_fonts_field_settings, $fonts ) : '';
/*subset: i don't know how it works :(*/
$settings = get_option( 'wpb_js_google_fonts_subsets' );
if ( is_array( $settings ) && ! empty( $settings ) ) {
    $subsets = '&subset=' . implode( ',', $settings );
} else {
    $subsets = '';
}
$output = array();
/*generate font style*/
if (!empty( $gg_fonts_data ) && isset( $gg_fonts_data['values'], $gg_fonts_data['values']['font_family'], $gg_fonts_data['values']['font_style'] )){
    /*enqueue google font*/
    wp_enqueue_style( 'insidect-google-fonts' . vc_build_safe_css_class( $gg_fonts_data['values']['font_family'] ), '//fonts.googleapis.com/css?family=' . $gg_fonts_data['values']['font_family'] . $subsets );
    /*google font data*/
    $gg_fonts_family = explode( ':', $gg_fonts_data['values']['font_family'] );
    $output[] = 'font-family:' . $gg_fonts_family[0];
    $gg_fonts_styles = explode( ':', $gg_fonts_data['values']['font_style'] );
    $output[] = 'font-weight:' . $gg_fonts_styles[1];
    $output[] = 'font-style:' . $gg_fonts_styles[2];
}
$font_style = '';     
foreach( $output as $attribute ){           
    $font_style .= $attribute.'; ';
}

$button_style = array();

if ( ! empty( $font_size ) ) {
	$button_style[] = 'font-size: ' . esc_attr( trim( $font_size ) ) . ';';
}
if ( ! empty( $height ) ) {
	$button_style[] = 'height: ' . esc_attr( trim( $height ) ) . ';';
	$button_style[] = 'line-height: ' . esc_attr( trim( $height ) ) . ';';
}
if ( ! empty( $width ) ) {
	$button_style[] = 'width: ' . esc_attr( trim( $width ) ) . ';';
}
if ( ! empty( $color ) ) {
	$button_style[] = 'color: ' . esc_attr( trim( $color ) ) . ';';
}
if ( ! empty( $bgc ) ) {
	$button_style[] = 'background-color: ' . esc_attr( trim( $bgc ) ) . ';';
}
if ( $rounded == 'yes') {
	$button_style[] = 'border-radius: 50%';	
}

$button_style = 'style="'.$font_style . implode( ' ', $button_style ) . '"';

/*link*/
	$link = vc_build_link( $link );
	$a_href = '#';
	if ( strlen( $link['url'] ) > 0 ) {
	    $a_href = $link['url'];
	    $a_title = $link['title'];
	    $a_target = $link['target'];
	    $a_rel = $link['rel'];
	}

	$attributes = array();

	$attributes[] = 'href="' . trim( $a_href ) . '"';
	if( ! empty( $a_title )){
	    $attributes[] = 'title="' . esc_attr( trim( $a_title ) ) . '"';
	}
	if ( ! empty( $a_target ) ) {
		$attributes[] = 'target="' . esc_attr( trim( $a_target ) ) . '"';
	}
	if ( ! empty( $a_rel ) ) {
		$attributes[] = 'rel="' . esc_attr( trim( $a_rel ) ) . '"';
	}

	/*custom color of title*/
    if($button_hover == 'yes'):
        /*hover color*/
        if(!empty($hover_color)) {
            $attributes[] = 'onmouseenter="this.style.color=\'' . $hover_color . '\'; this.style.backgroundColor=\'' . $hover_bgc . '\';"';
        }
        /*leave*/
        if(!empty($color)) {
            $attributes[] = 'onmouseleave="this.style.color=\'' . $color . '\'; this.style.backgroundColor=\'' . $bgc . '\';"';
        }
    endif;

    $attributes = implode( ' ', $attributes );
?>


<div class="theme-button-link-sc <?php echo esc_attr($all_class).' '.esc_attr($align); ?>">
	<?php 
		if ( !empty( $link ) ) {
		echo '<a ' .$attributes. ' itemprop="name" ' .wp_kses_post($button_style). '>';
			echo esc_html($text);
		echo '</a>';
	} ?>
</div>