<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

/* Get default values from VC_MAP.*/

$gg_fonts_obj = new Vc_Google_Fonts();
$font_container_obj = new Vc_Font_Container();

$gg_fonts_field_settings = isset( $atts['settings'], $atts['settings']['fields'] ) ? $atts['settings']['fields'] : array();
$gg_fonts_data = strlen( $fonts ) > 0 ? $gg_fonts_obj->_vc_google_fonts_parse_attributes( $gg_fonts_field_settings, $fonts ) : '';
/*subset: i don't know how it works :(*/
$settings = get_option( 'wpb_js_google_fonts_subsets' );
if ( is_array( $settings ) && ! empty( $settings ) ) {
    $subsets = '&subset=' . implode( ',', $settings );
} else {
    $subsets = '';
}
$output = array();
/*generate font style*/
if (!empty( $gg_fonts_data ) && isset( $gg_fonts_data['values'], $gg_fonts_data['values']['font_family'], $gg_fonts_data['values']['font_style'] )){
    /*enqueue google font*/
    wp_enqueue_style( 'insidect-google-fonts' . vc_build_safe_css_class( $gg_fonts_data['values']['font_family'] ), '//fonts.googleapis.com/css?family=' . $gg_fonts_data['values']['font_family'] . $subsets );
    /*google font data*/
    $gg_fonts_family = explode( ':', $gg_fonts_data['values']['font_family'] );
    $output[] = 'font-family:' . $gg_fonts_family[0];
    $gg_fonts_styles = explode( ':', $gg_fonts_data['values']['font_style'] );
    $output[] = 'font-weight:' . $gg_fonts_styles[1];
    $output[] = 'font-style:' . $gg_fonts_styles[2];
}
$font_style = '';     
foreach( $output as $attribute ){           
    $font_style .= $attribute.'; ';
}
$style_heading = esc_attr($font_style).'color:'.esc_attr(trim($heading_color)).';';
$style_subheading = esc_attr($font_style).'color:'.esc_attr(trim($subheading_color)).';';
if ( !empty( $link ) ) {
	/*link*/
	$link = vc_build_link( $link );
	$a_href = '#';
	if ( strlen( $link['url'] ) > 0 ) {
	    $a_href = $link['url'];
	    $a_title = $link['title'];
	    $a_target = $link['target'];
	    $a_rel = $link['rel'];
	}

	$attributes = array();

	$attributes[] = 'href="' . trim( $a_href ) . '"';
	if( ! empty( $a_title )){
	    $attributes[] = 'title="' . esc_attr( trim( $a_title ) ) . '"';
	}
	if ( ! empty( $a_target ) ) {
		$attributes[] = 'target="' . esc_attr( trim( $a_target ) ) . '"';
	}
	if ( ! empty( $a_rel ) ) {
		$attributes[] = 'rel="' . esc_attr( trim( $a_rel ) ) . '"';
	}
	$attributes = implode( ' ', $attributes );
}
if($margin == "no") {
	$mar = 'no-margin';
} else {
	$mar = '';
}
?>

<div class="theme-custom-heading <?php echo esc_attr($all_class).' '.esc_attr($align).' '.esc_attr($mar); ?>">
	<?php 
		// heading
		if ( !empty( $heading ) ) {
			echo '<'.esc_attr($tag_heading).' style="';
			echo esc_attr($style_heading); 
			echo '">';
			echo wp_kses_post($heading);
			echo '</'.esc_attr($tag_heading).'>';
		}
		// subheading
		if ( !empty( $subheading ) ) {
			echo '<'.esc_attr($tag_subheading).' style="';
			echo esc_attr($style_subheading); 
			echo '">';
			echo wp_kses_post($subheading);
			echo '</'.esc_attr($tag_subheading).'>';
		}

		// If has link
		if ( !empty( $link ) ) {
			echo '<'.esc_attr($tag_subheading).'>';
			echo '<a ' . $attributes . ' itemprop="name" style="'.esc_attr($style_subheading).'">'.$subheading.'
			</a>';
			echo '</'.esc_attr($tag_subheading).'>';
		}
	?>

</div>