<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

global $post;
$query = null;   // re-sets query
$temp = $query;  // re-sets query
$args = array(
    'post_type' => 'fw-portfolio',
    'showposts' => $count,
    'orderby' => $order_by,
    'order' => $sort_order,
);
$query = new WP_Query();
$query->query( $args );

if ( ! $query ) {
    return;
}
// column
if($column == 2 || $portfolio_style == 'portfolio-grid-special') {
    $col =  6;
} elseif ($column == 3) {
    $col =  4;
} else {
    $col = 3;
}
// filter 
$grid ='';
if( $portfolio_style == 'portfolio-grid' || $portfolio_style == 'portfolio-masonry' || $portfolio_style == 'portfolio-rectangle-grid') {
    $grid = ' grid-container';
} elseif ( $portfolio_style == 'portfolio-carousel') {
    $grid = ' carousel-container';
}

// caption
$caption_class = '';
if ( $caption == 'no') {
    $caption_class = 'hide-caption';
} else {
    $caption_class = 'show-caption';
}
//spacing
$spacing_class = '';
$row = ' row';
if ( $spacing == 'yes') {
    $spacing_class = 'with-spacing';
} else {
    $spacing_class = 'without-spacing';
    $row = '';
}
$style_class = ' '.$caption_class.' '.$spacing_class;

// get category filter
$current_posts = get_posts( $args );
$current_posts_id = wp_list_pluck( $current_posts, 'ID' );
$portfolio_tags = wp_get_object_terms( $current_posts_id, 'fw-portfolio-category' );

?>

<div class="theme-portfolios-sc <?php echo esc_attr($all_class) ?>">
<?php if( $query->have_posts() ): ?>

    <?php if ($navigation == 'yes') :?>
    <div class="portfolios-nav row">
        <div class="container">
        <ul class="<?php echo esc_attr($align); ?>">
            <li class="is-checked" data-filter="*">All</li>
            <?php
                if ($portfolio_tags) {
                  foreach($portfolio_tags as $tag) {
                    echo '<li data-filter=".' .esc_attr($tag->slug). '">' . esc_html($tag->name) .'</li>';
                  }
                }
            ?>
        </ul>
        </div>
    </div>
    <?php endif; ?>

    <div class="portfolios-sc <?php echo esc_attr($portfolio_style) .esc_attr($grid).esc_attr($row) ?> flw">
        <?php
        while($query->have_posts()): $query->the_post();
             /* Get post thumbnail id */
            $thumbnail_id = get_post_thumbnail_id($post->ID);
            /* Set thumbnail size in default */
            if($portfolio_style == 'portfolio-grid' || $portfolio_style == 'portfolio-grid-special'){
                $thumbnail = fw_resize($thumbnail_id, 500, 500, false);
            } elseif( $portfolio_style == 'portfolio-rectangle-grid' ||  $portfolio_style == 'portfolio-carousel'){
                $thumbnail = wp_get_attachment_image_src($thumbnail_id, 'insidect-rectangle-grid')[0];
            }else{
                $thumbnail = wp_get_attachment_image_src($thumbnail_id, 'full' )[0];
            }
            $p_tags_terms = get_the_terms( $post->ID, 'fw-portfolio-category' );
            $slug = '';
            if( $p_tags_terms ) {
                foreach( $p_tags_terms as $term ) {
                    $slug .= ' '.$term->slug;
                    $cate = ' '.$term->name;
                }
            }
        ?>
            <div class="project col-md-<?php echo esc_attr($col).esc_attr($style_class).esc_attr($slug); ?>" itemid="<?php echo get_permalink(); ?>" itemscope itemtype="http://schema.org/BlogPosting">
                <div class="project-item" itemprop="mainEntityOfPage">
                    <?php if( $portfolio_style == 'portfolio-rectangle-grid') : ?>
                        <div class="project-caption">
                            <div class="caption-wrapper">
                                <h5 class="project-tit" itemprop="headline">
                                    <a itemprop="url" href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                </h5>
                                <span class="project-cate"><?php echo esc_html($cate); ?></span>
                            </div>
                        </div>
                        <?php if(!empty($thumbnail_id)): ?>
                            <div class="project-cover-image">
                                <?php if ($caption != 'no') : ?>
                                    <a href="<?php the_permalink(); ?>" class="sc-portfolio-link">
                                        <i class="icon ion-ios-plus-empty"></i>
                                    </a>
                                    <img src="<?php echo esc_url($thumbnail); ?>" alt="<?php esc_attr_e('Portfolio','insidect'); ?>">
                                <?php else : ?>
                                     <a href="<?php the_permalink(); ?>" class="sc-portfolio-link">
                                        <img src="<?php echo esc_url($thumbnail); ?>" alt="<?php esc_attr_e('Portfolio','insidect'); ?>">
                                    </a>
                                <?php endif; ?> 
                            </div>
                        <?php endif; ?>
                    <?php else : ?>
                        <?php if(!empty($thumbnail_id)): ?>
                            <div class="project-cover-image">
                                <?php if ($caption != 'no') : ?>
                                    <a href="<?php the_permalink(); ?>" class="sc-portfolio-link">
                                        <i class="icon ion-ios-plus-empty"></i>
                                    </a>
                                    <img src="<?php echo esc_url($thumbnail); ?>" alt="<?php esc_attr_e('Portfolio','insidect'); ?>">
                                <?php else : ?>
                                    <a href="<?php the_permalink(); ?>" class="sc-portfolio-link">
                                        <img src="<?php echo esc_url($thumbnail); ?>" alt="<?php esc_attr_e('Portfolio','insidect'); ?>">
                                    </a>
                                <?php endif; ?>                      
                            </div>
                        <?php endif; ?>

                        <div class="project-caption">
                            <div class="caption-wrapper">
                                <h5 class="project-tit" itemprop="headline">
                                    <a itemprop="url" href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                </h5>
                                <span class="project-cate"><?php echo esc_html($cate); ?></span>
                            </div>
                        </div>
                    <?php endif ?>
                </div>
            </div>
        <?php
            endwhile;
        ?>
    </div>

<?php endif;?>
</div>
<?php
    $query = null;
    $query = $temp; // Reset
?>